CFPRIME TGEDAT                                                          TGEDAT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE TGEDAT(IUX)                                            TGEDAT      3
CD                                                                      TGEDAT      4
CD    TO TABULATE SYNCHRONOUS MACHINE DATA.                             TGEDAT      5
CD                                                                      TGEDAT      6
      INCLUDE 'PARX.INS'                                                TGEDAT      7
      INCLUDE 'CNPARX.INS'                                              TGEDAT      8
      INCLUDE 'CNPT.INS'                                                TGEDAT      9
      INCLUDE 'CNIPTR.INS'                                              TGEDAT     10
      INCLUDE 'CNSTN.INS'                                               TGEDAT     11
      INCLUDE 'CNMDAT.INS'                                              TGEDAT     12
      INCLUDE 'CNVOLT.INS'                                              TGEDAT     13
      INCLUDE 'CNB1.INS'                                                TGEDAT     14
      INCLUDE 'CNB3.INS'                                                TGEDAT     15
      INCLUDE 'CNB8.INS'                                                TGEDAT     16
      INCLUDE 'CNB19.INS'                                               TGEDAT     17
      INCLUDE 'CNQSTA.INS'                                              TGEDAT     18
      INCLUDE 'EQQSTA.INS'                                              TGEDAT     19
      INCLUDE 'CNFLAG.INS'                                              TGEDAT     20
      INCLUDE 'CNMNEW.INS'                                              TGEDAT     21
      INCLUDE 'CNUNIT.INS'                                              TGEDAT     22
      INCLUDE 'CNEXC.INS'                                               TGEDAT     23
      INCLUDE 'EPBUS.INS'                                               TGEDAT     24
C                                                                       TGEDAT     25
      LOGICAL L2,L3                                                     TGEDAT     26
C                                                                       TGEDAT     27
      CHARACTER*4 CKID                                                  TGEDAT     28
      CHARACTER*2 HPLP                                                  TGEDAT     29
      DIMENSION GMWA(100),GMXA(100),HAREA(100)                          TGEDAT     30
      LOGICAL IHERE(100)                                                TGEDAT     31
C                                                                       TGEDAT     32
      DATA ILDEF/60/                                                    TGEDAT     33
      DATA BIG/99.9/                                                    TGEDAT     34
C                                                                       TGEDAT     35
      LDEB=(JDEB(28).NE.0)                                              TGEDAT     36
C                                                                       TGEDAT     37
      CALL FMOVE(0,HAREA,HAREA,100)                                     TGEDAT     38
      CALL FMOVE(0,GMWA,GMWA,100)                                       TGEDAT     39
      CALL FMOVE(0,GMXA,GMXA,100)                                       TGEDAT     40
      CALL LMOVE(0,IHERE,100)                                           TGEDAT     41
C                                                                       TGEDAT     42
      IL=ILDEF                                                          TGEDAT     43
      KN=0                                                              TGEDAT     44
      DO 20 K=1,IPNODE                                                  TGEDAT     45
      KN=KN+3                                                           TGEDAT     46
      NLF=NOLD(K)                                                       TGEDAT     47
      I1=NTHG(K)                                                        TGEDAT     48
      I2=NTHG(K+1)-1                                                    TGEDAT     49
      DO 20 N=I1,I2                                                     TGEDAT     50
      IGENS=ICONTA(1,N)                                                 TGEDAT     51
      IF(IGENS.EQ.0.OR.IGENS.EQ.4.OR.IGENS.EQ.8)THEN                    TGEDAT     52
      JG=JCONTA(1,N)                                                    TGEDAT     53
      IF(IDDAT(JG+3).EQ.0.OR.IDDAT(JG+4).EQ.0)THEN                      TGEDAT     54
         BMVA=BASPC                                                     TGEDAT     55
         BVR=1.0                                                        TGEDAT     56
      ELSE                                                              TGEDAT     57
         BMVA=DDAT(JG+3)                                                TGEDAT     58
         BVR=DDAT(JG+4)                                                 TGEDAT     59
      ENDIF                                                             TGEDAT     60
      CKID='    '                                                       TGEDAT     61
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT     62
      WXBASE=DDAT(JG+5)                                                 TGEDAT     63
      FBGN=WXBASE*0.25*PI                                               TGEDAT     64
      RAN=DDAT(JG+9)                                                    TGEDAT     65
      XL=DDAT(JG+8)                                                     TGEDAT     66
      XD=DDAT(JG+6)+XL                                                  TGEDAT     67
      XQ=DDAT(JG+7)+XL                                                  TGEDAT     68
      XAFA=(DDAT(JG+6)*DDAT(JG+10))/(DDAT(JG+6)+DDAT(JG+10))            TGEDAT     69
      XPDD=DDAT(JG+8)+XAFA                                              TGEDAT     70
      XPPDD=DDAT(JG+8)+(XAFA*DDAT(JG+14))/(XAFA+DDAT(JG+14))            TGEDAT     71
      XAFQ=(DDAT(JG+7)*DDAT(JG+12))/(DDAT(JG+7)+DDAT(JG+12))            TGEDAT     72
      XPQQ=DDAT(JG+8)+XAFQ                                              TGEDAT     73
      XPPQQ=DDAT(JG+8)+(XAFQ*DDAT(JG+16))/(XAFQ+DDAT(JG+16))            TGEDAT     74
      TDPO=((DDAT(JG+10)+DDAT(JG+6))/DDAT(JG+11))/WXBASE                TGEDAT     75
      TDPPX=DDAT(JG+14)+(DDAT(JG+10)*DDAT(JG+6))/(DDAT(JG+10)+          TGEDAT     76
     +DDAT(JG+6))                                                       TGEDAT     77
      TDPPO=0.0                                                         TGEDAT     78
      IF(IDDAT(JG+15).NE.0)                                             TGEDAT     79
     *TDPPO=TDPPX/(DDAT(JG+15)*WXBASE)                                  TGEDAT     80
      TQPO=0.0                                                          TGEDAT     81
      IF(IDDAT(JG+13).NE.0)                                             TGEDAT     82
     *TQPO=(DDAT(JG+12)+DDAT(JG+7))/DDAT(JG+13)/WXBASE                  TGEDAT     83
      TQPPO=0.0                                                         TGEDAT     84
      IF(IDDAT(JG+17).NE.0)                                             TGEDAT     85
     *TQPPO=(DDAT(JG+16)+XAFQ)/DDAT(JG+17)                              TGEDAT     86
      TQPPO=TQPPO/WXBASE                                                TGEDAT     87
      IF(IL.GE.ILDEF)THEN                                               TGEDAT     88
      IL=6                                                              TGEDAT     89
      WRITE(IUX,1000)                                                   TGEDAT     90
      ENDIF                                                             TGEDAT     91
      WRITE(IUX,1010) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT     92
     &,BMVA,BVR,FBGN,RAN,XD,XQ,XL,XPDD,XPQQ,XPPDD,XPPQQ                 TGEDAT     93
     &,TDPO,TQPO,TDPPO,TQPPO                                            TGEDAT     94
C                                                                       TGEDAT     95
      IL=IL+1                                                           TGEDAT     96
C                                                                       TGEDAT     97
      ENDIF                                                             TGEDAT     98
   20 CONTINUE                                                          TGEDAT     99
C                                                                       TGEDAT    100
      IL=ILDEF                                                          TGEDAT    101
      KN=0                                                              TGEDAT    102
      DO 40 K=1,IPNODE                                                  TGEDAT    103
      KN=KN+3                                                           TGEDAT    104
      NLF=NOLD(K)                                                       TGEDAT    105
      II=NBARZO(K)                                                      TGEDAT    106
      CALL UPACKI(JJJ,IBARI,II)                                         TGEDAT    107
      I1=NTHG(K)                                                        TGEDAT    108
      I2=NTHG(K+1)-1                                                    TGEDAT    109
      DO 30 N=I1,I2                                                     TGEDAT    110
      IGENS=ICONTA(1,N)                                                 TGEDAT    111
      IF(IGENS.NE.0.AND.IGENS.NE.4.AND.IGENS.NE.8)GOTO 30               TGEDAT    112
      JG=JCONTA(1,N)                                                    TGEDAT    113
      CKID='    '                                                       TGEDAT    114
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT    115
      IF(IDDAT(JG+3).EQ.0.AND.IDDAT(JG+4).EQ.0)THEN                     TGEDAT    116
         BMVA=BASPC                                                     TGEDAT    117
         BVR=1.0                                                        TGEDAT    118
      ELSE                                                              TGEDAT    119
         BMVA=DDAT(JG+3)                                                TGEDAT    120
         BVR=DDAT(JG+4)                                                 TGEDAT    121
      ENDIF                                                             TGEDAT    122
      HMX=DDAT(JG+1)                                                    TGEDAT    123
      DAMPX=DDAT(JG+2)                                                  TGEDAT    124
      ISATX=ICONTA(3,N)                                                 TGEDAT    125
      IF(ISATX.NE.0)THEN                                                TGEDAT    126
      ASATD=DDAT(JG+26)                                                 TGEDAT    127
      BSATD=DDAT(JG+27)                                                 TGEDAT    128
      BATLD=DDAT(JG+28)                                                 TGEDAT    129
      BATMD=DDAT(JG+29)                                                 TGEDAT    130
      XUIRD=DDAT(JG+30)                                                 TGEDAT    131
      ENDIF                                                             TGEDAT    132
      IF(ISATX.EQ.3)THEN                                                TGEDAT    133
      ASATQ=DDAT(JG+45)                                                 TGEDAT    134
      BSATQ=DDAT(JG+46)                                                 TGEDAT    135
      BATLQ=DDAT(JG+47)                                                 TGEDAT    136
      BATMQ=DDAT(JG+48)                                                 TGEDAT    137
      XUIRQ=DDAT(JG+49)                                                 TGEDAT    138
      ENDIF                                                             TGEDAT    139
      GMWX=PDGT(1,N)*BASPC                                              TGEDAT    140
      GMXX=PDGT(2,N)*BASPC                                              TGEDAT    141
      IPGX=IPFG(N)                                                      TGEDAT    142
      IQGX=IQFG(N)                                                      TGEDAT    143
      GMWA(IBARI)=GMWA(IBARI)+GMWX                                      TGEDAT    144
      GMXA(IBARI)=GMXA(IBARI)+GMXX                                      TGEDAT    145
      HAREA(IBARI)=HAREA(IBARI)+HMX*BMVA/BASPC                          TGEDAT    146
      IF(IL.GE.ILDEF)THEN                                               TGEDAT    147
      WRITE(IUX,1030)                                                   TGEDAT    148
      IL=6                                                              TGEDAT    149
      ENDIF                                                             TGEDAT    150
      IF(ISATX.EQ.0.OR.ISATX.EQ.3)THEN                                  TGEDAT    151
      IF(NGSREC.EQ.0)THEN                                               TGEDAT    152
      WRITE(IUX,1050) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT    153
     &,BMVA,BVR,HMX,DAMPX,IPGX,GMWX,IQGX,GMXX,ISATX                     TGEDAT    154
      ELSE                                                              TGEDAT    155
      WRITE(IUX,1051) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT    156
     &,BMVA,BVR,HMX,DAMPX,GMWX,GMXX,ISATX                               TGEDAT    157
      ENDIF                                                             TGEDAT    158
      IF(ISATX.EQ.3)THEN                                                TGEDAT    159
      WRITE(IUX,1060) ASATD,BSATD,BATLD,BATMD,XUIRD                     TGEDAT    160
     *,ASATQ,BSATQ,BATLQ,BATMQ,XUIRQ                                    TGEDAT    161
      IL=IL+2                                                           TGEDAT    162
      ENDIF                                                             TGEDAT    163
      ELSE                                                              TGEDAT    164
      IF(NGSREC.EQ.0)THEN                                               TGEDAT    165
      WRITE(IUX,1050) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT    166
     &,BMVA,BVR,HMX,DAMPX,IPGX,GMWX,IQGX,GMXX,ISATX                     TGEDAT    167
     &,ASATD,BSATD,BATLD,BATMD,XUIRD                                    TGEDAT    168
      ELSE                                                              TGEDAT    169
      WRITE(IUX,1051) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT    170
     &,BMVA,BVR,HMX,DAMPX,GMWX,GMXX,ISATX                               TGEDAT    171
     &,ASATD,BSATD,BATLD,BATMD,XUIRD                                    TGEDAT    172
      ENDIF                                                             TGEDAT    173
      ENDIF                                                             TGEDAT    174
      IL=IL+1                                                           TGEDAT    175
  30  CONTINUE                                                          TGEDAT    176
C                                                                       TGEDAT    177
      IHERE(IBARI)=.TRUE.                                               TGEDAT    178
C                                                                       TGEDAT    179
  40  CONTINUE                                                          TGEDAT    180
C                                                                       TGEDAT    181
C  AYNCHRONOUS MOTOR (CMTL=0)                                           TGEDAT    182
C                                                                       TGEDAT    183
      IL=ILDEF                                                          TGEDAT    184
      KN=0                                                              TGEDAT    185
      DO 21 K=1,IPNODE                                                  TGEDAT    186
      KN=KN+3                                                           TGEDAT    187
      NLF=NOLD(K)                                                       TGEDAT    188
      I1=NTHG(K)                                                        TGEDAT    189
      I2=NTHG(K+1)-1                                                    TGEDAT    190
      DO 21 N=I1,I2                                                     TGEDAT    191
      IGENS=ICONTA(1,N)                                                 TGEDAT    192
      JG=JCONTA(1,N)                                                    TGEDAT    193
      IF(IGENS.GE.12.AND.IDDAT(JG+31).EQ.0)THEN                         TGEDAT    194
      IF(IDDAT(JG+3).EQ.0.OR.IDDAT(JG+4).EQ.0)THEN                      TGEDAT    195
         BMVA=BASPC                                                     TGEDAT    196
         BVR=1.0                                                        TGEDAT    197
      ELSE                                                              TGEDAT    198
         BMVA=DDAT(JG+3)                                                TGEDAT    199
         BVR=DDAT(JG+4)                                                 TGEDAT    200
      ENDIF                                                             TGEDAT    201
      CKID='    '                                                       TGEDAT    202
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT    203
      WXBASE=DDAT(JG+5)                                                 TGEDAT    204
      FBGN=WXBASE*0.25*PI                                               TGEDAT    205
      RAN=DDAT(JG+9)                                                    TGEDAT    206
      XL=DDAT(JG+8)                                                     TGEDAT    207
      XD=DDAT(JG+6)+XL                                                  TGEDAT    208
      XQ=DDAT(JG+7)+XL                                                  TGEDAT    209
      XAFA=(DDAT(JG+6)*DDAT(JG+10))/(DDAT(JG+6)+DDAT(JG+10))            TGEDAT    210
      XPDD=DDAT(JG+8)+XAFA                                              TGEDAT    211
      XPPDD=DDAT(JG+8)+(XAFA*DDAT(JG+14))/(XAFA+DDAT(JG+14))            TGEDAT    212
      XAFQ=(DDAT(JG+7)*DDAT(JG+12))/(DDAT(JG+7)+DDAT(JG+12))            TGEDAT    213
      XPQQ=DDAT(JG+8)+XAFQ                                              TGEDAT    214
      XPPQQ=DDAT(JG+8)+(XAFQ*DDAT(JG+16))/(XAFQ+DDAT(JG+16))            TGEDAT    215
      TDPO=((DDAT(JG+10)+DDAT(JG+6))/DDAT(JG+11))/WXBASE                TGEDAT    216
      TDPPX=DDAT(JG+14)+(DDAT(JG+10)*DDAT(JG+6))/(DDAT(JG+10)+          TGEDAT    217
     +DDAT(JG+6))                                                       TGEDAT    218
      TDPPO=0.0                                                         TGEDAT    219
      IF(IDDAT(JG+15).NE.0)                                             TGEDAT    220
     *TDPPO=TDPPX/(DDAT(JG+15)*WXBASE)                                  TGEDAT    221
      TQPO=0.0                                                          TGEDAT    222
      IF(IDDAT(JG+13).NE.0)                                             TGEDAT    223
     *TQPO=(DDAT(JG+12)+DDAT(JG+7))/DDAT(JG+13)/WXBASE                  TGEDAT    224
      TQPPO=0.0                                                         TGEDAT    225
      IF(IDDAT(JG+17).NE.0)                                             TGEDAT    226
     *TQPPO=(DDAT(JG+16)+XAFQ)/DDAT(JG+17)                              TGEDAT    227
      TQPPO=TQPPO/WXBASE                                                TGEDAT    228
      IF(IL.GE.ILDEF)THEN                                               TGEDAT    229
      IL=6                                                              TGEDAT    230
      WRITE(IUX,1001)                                                   TGEDAT    231
      ENDIF                                                             TGEDAT    232
      WRITE(IUX,1010) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT    233
     &,BMVA,BVR,FBGN,RAN,XD,XQ,XL,XPDD,XPQQ,XPPDD,XPPQQ                 TGEDAT    234
     &,TDPO,TQPO,TDPPO,TQPPO                                            TGEDAT    235
C                                                                       TGEDAT    236
      IL=IL+1                                                           TGEDAT    237
C                                                                       TGEDAT    238
      ENDIF                                                             TGEDAT    239
   21 CONTINUE                                                          TGEDAT    240
C                                                                       TGEDAT    241
      IL=ILDEF                                                          TGEDAT    242
      KN=0                                                              TGEDAT    243
      DO 41 K=1,IPNODE                                                  TGEDAT    244
      KN=KN+3                                                           TGEDAT    245
      NLF=NOLD(K)                                                       TGEDAT    246
      II=NBARZO(K)                                                      TGEDAT    247
      CALL UPACKI(JJJ,IBARI,II)                                         TGEDAT    248
      I1=NTHG(K)                                                        TGEDAT    249
      I2=NTHG(K+1)-1                                                    TGEDAT    250
      DO 31 N=I1,I2                                                     TGEDAT    251
      IGENS=ICONTA(1,N)                                                 TGEDAT    252
      JG=JCONTA(1,N)                                                    TGEDAT    253
      IF(IGENS.LT.12.OR.IDDAT(JG+31).NE.0) GOTO 31                      TGEDAT    254
      CKID='    '                                                       TGEDAT    255
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT    256
      IF(IDDAT(JG+3).EQ.0.AND.IDDAT(JG+4).EQ.0)THEN                     TGEDAT    257
         BMVA=BASPC                                                     TGEDAT    258
         BVR=1.0                                                        TGEDAT    259
      ELSE                                                              TGEDAT    260
         BMVA=DDAT(JG+3)                                                TGEDAT    261
         BVR=DDAT(JG+4)                                                 TGEDAT    262
      ENDIF                                                             TGEDAT    263
      HMX=DDAT(JG+1)                                                    TGEDAT    264
      DAMPX=DDAT(JG+2)                                                  TGEDAT    265
      ISATX=ICONTA(3,N)                                                 TGEDAT    266
      IF(ISATX.NE.0)THEN                                                TGEDAT    267
      ASATD=DDAT(JG+26)                                                 TGEDAT    268
      BSATD=DDAT(JG+27)                                                 TGEDAT    269
      BATLD=DDAT(JG+28)                                                 TGEDAT    270
      BATMD=DDAT(JG+29)                                                 TGEDAT    271
      XUIRD=DDAT(JG+30)                                                 TGEDAT    272
      ENDIF                                                             TGEDAT    273
      IF(ISATX.EQ.3)THEN                                                TGEDAT    274
      ASATQ=DDAT(JG+45)                                                 TGEDAT    275
      BSATQ=DDAT(JG+46)                                                 TGEDAT    276
      BATLQ=DDAT(JG+47)                                                 TGEDAT    277
      BATMQ=DDAT(JG+48)                                                 TGEDAT    278
      XUIRQ=DDAT(JG+49)                                                 TGEDAT    279
      ENDIF                                                             TGEDAT    280
      GMWX=PDGT(1,N)*BASPC                                              TGEDAT    281
      GMXX=PDGT(2,N)*BASPC                                              TGEDAT    282
      IPGX=IPFG(N)                                                      TGEDAT    283
      IQGX=IQFG(N)                                                      TGEDAT    284
      GMWA(IBARI)=GMWA(IBARI)+GMWX                                      TGEDAT    285
      GMXA(IBARI)=GMXA(IBARI)+GMXX                                      TGEDAT    286
      HAREA(IBARI)=HAREA(IBARI)+HMX*BMVA/BASPC                          TGEDAT    287
      IF(IL.GE.ILDEF)THEN                                               TGEDAT    288
         WRITE(IUX,1031)                                                TGEDAT    289
         IL=6                                                           TGEDAT    290
      ENDIF                                                             TGEDAT    291
      IF(ISATX.EQ.0.OR.ISATX.EQ.3)THEN                                  TGEDAT    292
         IF(NGSREC.EQ.0)THEN                                            TGEDAT    293
            WRITE(IUX,1050) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT    294
     &         ,BMVA,BVR,HMX,DAMPX,IPGX,GMWX,IQGX,GMXX,ISATX            TGEDAT    295
         ELSE                                                           TGEDAT    296
            WRITE(IUX,1051) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT    297
     &         ,BMVA,BVR,HMX,DAMPX,GMWX,GMXX,ISATX                      TGEDAT    298
         ENDIF                                                          TGEDAT    299
         IF(ISATX.EQ.3)THEN                                             TGEDAT    300
            WRITE(IUX,1060) ASATD,BSATD,BATLD,BATMD,XUIRD               TGEDAT    301
     *         ,ASATQ,BSATQ,BATLQ,BATMQ,XUIRQ                           TGEDAT    302
            IL=IL+2                                                     TGEDAT    303
         ENDIF                                                          TGEDAT    304
      ELSE                                                              TGEDAT    305
         IF(NGSREC.EQ.0)THEN                                            TGEDAT    306
            WRITE(IUX,1050) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT    307
     &         ,BMVA,BVR,HMX,DAMPX,IPGX,GMWX,IQGX,GMXX,ISATX            TGEDAT    308
     &         ,ASATD,BSATD,BATLD,BATMD,XUIRD                           TGEDAT    309
         ELSE                                                           TGEDAT    310
            WRITE(IUX,1051) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT    311
     &         ,BMVA,BVR,HMX,DAMPX,GMWX,GMXX,ISATX                      TGEDAT    312
     &         ,ASATD,BSATD,BATLD,BATMD,XUIRD                           TGEDAT    313
         ENDIF                                                          TGEDAT    314
      ENDIF                                                             TGEDAT    315
      IL=IL+1                                                           TGEDAT    316
  31  CONTINUE                                                          TGEDAT    317
C                                                                       TGEDAT    318
      IHERE(IBARI)=.TRUE.                                               TGEDAT    319
C                                                                       TGEDAT    320
  41  CONTINUE                                                          TGEDAT    321
C                                                                       TGEDAT    322
C  AYNCHRONOUS MOTOR (CMTL<>0)                                          TGEDAT    323
C                                                                       TGEDAT    324
      IL=ILDEF                                                          TGEDAT    325
      KN=0                                                              TGEDAT    326
      DO 22 K=1,IPNODE                                                  TGEDAT    327
      KN=KN+3                                                           TGEDAT    328
      NLF=NOLD(K)                                                       TGEDAT    329
      I1=NTHG(K)                                                        TGEDAT    330
      I2=NTHG(K+1)-1                                                    TGEDAT    331
      DO 22 N=I1,I2                                                     TGEDAT    332
      IGENS=ICONTA(1,N)                                                 TGEDAT    333
      JG=JCONTA(1,N)                                                    TGEDAT    334
      IF(IGENS.GE.12.AND.IDDAT(JG+31).NE.0)THEN                         TGEDAT    335
      IF(IDDAT(JG+3).EQ.0.OR.IDDAT(JG+4).EQ.0)THEN                      TGEDAT    336
         BMVA=BASPC                                                     TGEDAT    337
         BVR=1.0                                                        TGEDAT    338
      ELSE                                                              TGEDAT    339
         BMVA=DDAT(JG+3)                                                TGEDAT    340
         BVR=DDAT(JG+4)                                                 TGEDAT    341
      ENDIF                                                             TGEDAT    342
      CKID='    '                                                       TGEDAT    343
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT    344
      WXBASE=DDAT(JG+5)                                                 TGEDAT    345
      FBGN=WXBASE*0.25*PI                                               TGEDAT    346
      RAN=DDAT(JG+9)                                                    TGEDAT    347
      XL=DDAT(JG+8)                                                     TGEDAT    348
      XD=DDAT(JG+6)+XL                                                  TGEDAT    349
      XQ=DDAT(JG+7)+XL                                                  TGEDAT    350
      XAFA=(DDAT(JG+6)*DDAT(JG+10))/(DDAT(JG+6)+DDAT(JG+10))            TGEDAT    351
      XPDD=DDAT(JG+8)+XAFA                                              TGEDAT    352
      XPPDD=DDAT(JG+8)+(XAFA*DDAT(JG+14))/(XAFA+DDAT(JG+14))            TGEDAT    353
      XAFQ=(DDAT(JG+7)*DDAT(JG+12))/(DDAT(JG+7)+DDAT(JG+12))            TGEDAT    354
      XPQQ=DDAT(JG+8)+XAFQ                                              TGEDAT    355
      XPPQQ=DDAT(JG+8)+(XAFQ*DDAT(JG+16))/(XAFQ+DDAT(JG+16))            TGEDAT    356
      TDPO=((DDAT(JG+10)+DDAT(JG+6))/DDAT(JG+11))/WXBASE                TGEDAT    357
      TDPPX=DDAT(JG+14)+(DDAT(JG+10)*DDAT(JG+6))/(DDAT(JG+10)+          TGEDAT    358
     +DDAT(JG+6))                                                       TGEDAT    359
      TDPPO=0.0                                                         TGEDAT    360
      IF(IDDAT(JG+15).NE.0)                                             TGEDAT    361
     *TDPPO=TDPPX/(DDAT(JG+15)*WXBASE)                                  TGEDAT    362
      TQPO=0.0                                                          TGEDAT    363
      IF(IDDAT(JG+13).NE.0)                                             TGEDAT    364
     *TQPO=(DDAT(JG+12)+DDAT(JG+7))/DDAT(JG+13)/WXBASE                  TGEDAT    365
      TQPPO=0.0                                                         TGEDAT    366
      IF(IDDAT(JG+17).NE.0)                                             TGEDAT    367
     *TQPPO=(DDAT(JG+16)+XAFQ)/DDAT(JG+17)                              TGEDAT    368
      TQPPO=TQPPO/WXBASE                                                TGEDAT    369
      IF(IL.GE.ILDEF)THEN                                               TGEDAT    370
      IL=6                                                              TGEDAT    371
      WRITE(IUX,1001)                                                   TGEDAT    372
      ENDIF                                                             TGEDAT    373
      WRITE(IUX,1010) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT    374
     &,BMVA,BVR,FBGN,RAN,XD,XQ,XL,XPDD,XPQQ,XPPDD,XPPQQ                 TGEDAT    375
     &,TDPO,TQPO,TDPPO,TQPPO                                            TGEDAT    376
C                                                                       TGEDAT    377
      IL=IL+1                                                           TGEDAT    378
C                                                                       TGEDAT    379
      ENDIF                                                             TGEDAT    380
   22 CONTINUE                                                          TGEDAT    381
C                                                                       TGEDAT    382
      IL=ILDEF                                                          TGEDAT    383
      KN=0                                                              TGEDAT    384
      DO 42 K=1,IPNODE                                                  TGEDAT    385
      KN=KN+3                                                           TGEDAT    386
      NLF=NOLD(K)                                                       TGEDAT    387
      II=NBARZO(K)                                                      TGEDAT    388
      CALL UPACKI(JJJ,IBARI,II)                                         TGEDAT    389
      I1=NTHG(K)                                                        TGEDAT    390
      I2=NTHG(K+1)-1                                                    TGEDAT    391
      DO 32 N=I1,I2                                                     TGEDAT    392
      IGENS=ICONTA(1,N)                                                 TGEDAT    393
      JG=JCONTA(1,N)                                                    TGEDAT    394
      IF(IGENS.LT.12.OR.IDDAT(JG+31).EQ.0) GOTO 32                      TGEDAT    395
      CKID='    '                                                       TGEDAT    396
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT    397
      IF(IDDAT(JG+3).EQ.0.AND.IDDAT(JG+4).EQ.0)THEN                     TGEDAT    398
         BMVA=BASPC                                                     TGEDAT    399
         BVR=1.0                                                        TGEDAT    400
      ELSE                                                              TGEDAT    401
         BMVA=DDAT(JG+3)                                                TGEDAT    402
         BVR=DDAT(JG+4)                                                 TGEDAT    403
      ENDIF                                                             TGEDAT    404
      HMX=DDAT(JG+1)                                                    TGEDAT    405
      DAMPX=DDAT(JG+2)                                                  TGEDAT    406
      ISATX=ICONTA(3,N)                                                 TGEDAT    407
      IF(ISATX.NE.0)THEN                                                TGEDAT    408
      ASATD=DDAT(JG+26)                                                 TGEDAT    409
      BSATD=DDAT(JG+27)                                                 TGEDAT    410
      BATLD=DDAT(JG+28)                                                 TGEDAT    411
      BATMD=DDAT(JG+29)                                                 TGEDAT    412
      XUIRD=DDAT(JG+30)                                                 TGEDAT    413
      ENDIF                                                             TGEDAT    414
      IF(ISATX.EQ.3)THEN                                                TGEDAT    415
      ASATQ=DDAT(JG+45)                                                 TGEDAT    416
      BSATQ=DDAT(JG+46)                                                 TGEDAT    417
      BATLQ=DDAT(JG+47)                                                 TGEDAT    418
      BATMQ=DDAT(JG+48)                                                 TGEDAT    419
      XUIRQ=DDAT(JG+49)                                                 TGEDAT    420
      ENDIF                                                             TGEDAT    421
      GMWX=PDGT(1,N)*BASPC                                              TGEDAT    422
      GMXX=PDGT(2,N)*BASPC                                              TGEDAT    423
      IPGX=IPFG(N)                                                      TGEDAT    424
      IQGX=IQFG(N)                                                      TGEDAT    425
      GMWA(IBARI)=GMWA(IBARI)+GMWX                                      TGEDAT    426
      GMXA(IBARI)=GMXA(IBARI)+GMXX                                      TGEDAT    427
      HAREA(IBARI)=HAREA(IBARI)+HMX*BMVA/BASPC                          TGEDAT    428
      IF(IL.GE.ILDEF)THEN                                               TGEDAT    429
         WRITE(IUX,1032)                                                TGEDAT    430
         IL=6                                                           TGEDAT    431
      ENDIF                                                             TGEDAT    432
      IF(ISATX.EQ.0.OR.ISATX.EQ.3)THEN                                  TGEDAT    433
         IF(NGSREC.EQ.0)THEN                                            TGEDAT    434
            WRITE(IUX,1052) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT    435
     &         ,BMVA,BVR,HMX,DAMPX,IPGX,GMWX,IQGX,GMXX,DDAT(JG+31),ISATXTGEDAT    436
         ELSE                                                           TGEDAT    437
            WRITE(IUX,1053) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT    438
     &         ,BMVA,BVR,HMX,DAMPX,GMWX,GMXX,DDAT(JG+31),ISATX          TGEDAT    439
         ENDIF                                                          TGEDAT    440
         IF(ISATX.EQ.3)THEN                                             TGEDAT    441
            WRITE(IUX,1060) ASATD,BSATD,BATLD,BATMD,XUIRD               TGEDAT    442
     *         ,ASATQ,BSATQ,BATLQ,BATMQ,XUIRQ                           TGEDAT    443
            IL=IL+2                                                     TGEDAT    444
         ENDIF                                                          TGEDAT    445
      ELSE                                                              TGEDAT    446
         IF(NGSREC.EQ.0)THEN                                            TGEDAT    447
            WRITE(IUX,1052) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT    448
     &         ,BMVA,BVR,HMX,DAMPX,IPGX,GMWX,IQGX,GMXX,DDAT(JG+31)      TGEDAT    449
     &         ,ISATX,ASATD,BSATD,BATLD,BATMD,XUIRD                     TGEDAT    450
         ELSE                                                           TGEDAT    451
            WRITE(IUX,1053) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT    452
     &         ,BMVA,BVR,HMX,DAMPX,GMWX,GMXX,DDAT(JG+31),ISATX          TGEDAT    453
     &         ,ASATD,BSATD,BATLD,BATMD,XUIRD                           TGEDAT    454
         ENDIF                                                          TGEDAT    455
      ENDIF                                                             TGEDAT    456
      IL=IL+1                                                           TGEDAT    457
  32  CONTINUE                                                          TGEDAT    458
C                                                                       TGEDAT    459
      IHERE(IBARI)=.TRUE.                                               TGEDAT    460
C                                                                       TGEDAT    461
  42  CONTINUE                                                          TGEDAT    462
C                                                                       TGEDAT    463
C  TABULATE CLASSICAL MACHINE                                           TGEDAT    464
C                                                                       TGEDAT    465
      IL=ILDEF                                                          TGEDAT    466
      KN=0                                                              TGEDAT    467
      DO 50 K=1,IPNODE                                                  TGEDAT    468
      KN=KN+3                                                           TGEDAT    469
      NLF=NOLD(K)                                                       TGEDAT    470
      ILK=NBARZO(K)                                                     TGEDAT    471
      CALL UPACKI(JJJ,IBARI,ILK)                                        TGEDAT    472
      I1=NTHG(K)                                                        TGEDAT    473
      I2=NTHG(K+1)-1                                                    TGEDAT    474
C                                                                       TGEDAT    475
      DO 50 N=I1,I2                                                     TGEDAT    476
C                                                                       TGEDAT    477
      IGENS=ICONTA(1,N)                                                 TGEDAT    478
      IF(IGENS.EQ.3.OR.IGENS.EQ.7.OR.IGENS.EQ.11)THEN                   TGEDAT    479
      JG=JCONTA(1,N)                                                    TGEDAT    480
      CKID='    '                                                       TGEDAT    481
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT    482
      DAMPX=DDAT(JG+2)                                                  TGEDAT    483
      HMX=DDAT(JG+1)                                                    TGEDAT    484
      IF(IDDAT(JG+3).EQ.0.OR.IDDAT(JG+4).EQ.0)THEN                      TGEDAT    485
         BMVA=1.0                                                       TGEDAT    486
         BVR=1.0                                                        TGEDAT    487
      ELSE                                                              TGEDAT    488
         BMVA=DDAT(JG+3)/BASPC                                          TGEDAT    489
         BVR=DDAT(JG+4)                                                 TGEDAT    490
      ENDIF                                                             TGEDAT    491
      XPDN=1.0/XPD(N)                                                   TGEDAT    492
C                                                                       TGEDAT    493
C   CONVERT HMX AND XPDN TO MACHINE RATING BASE                         TGEDAT    494
C                                                                       TGEDAT    495
      DAMPX=DAMPX/BMVA                                                  TGEDAT    496
      HMX=HMX/BMVA                                                      TGEDAT    497
      XPDN=XPDN*BMVA/BVR*BVR                                            TGEDAT    498
      IPGX=IPFG(N)                                                      TGEDAT    499
      IQGX=IQFG(N)                                                      TGEDAT    500
      GMWX=PDGT(1,N)*BASPC                                              TGEDAT    501
      GMXX=PDGT(2,N)*BASPC                                              TGEDAT    502
      EFD=EMGT(N)                                                       TGEDAT    503
C                                                                       TGEDAT    504
      GMWA(IBARI)=GMWA(IBARI)+GMWX                                      TGEDAT    505
      GMXA(IBARI)=GMXA(IBARI)+GMXX                                      TGEDAT    506
      HAREA(IBARI)=HAREA(IBARI)+HMX*BMVA                                TGEDAT    507
      IHERE(IBARI)=.TRUE.                                               TGEDAT    508
      BMVA=BMVA*BASPC                                                   TGEDAT    509
C                                                                       TGEDAT    510
      IF(IL.GE.ILDEF)THEN                                               TGEDAT    511
      WRITE(IUX,1100)                                                   TGEDAT    512
      IL=6                                                              TGEDAT    513
      ENDIF                                                             TGEDAT    514
      IF(NGSREC.EQ.0)THEN                                               TGEDAT    515
      WRITE(IUX,1110) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT    516
     &,BMVA,BVR,HMX,DAMPX,XPDN,IPGX,GMWX,IQGX,GMXX                      TGEDAT    517
      ELSE                                                              TGEDAT    518
      WRITE(IUX,1111) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT    519
     &,BMVA,BVR,HMX,DAMPX,XPDN,GMWX,GMXX                                TGEDAT    520
      ENDIF                                                             TGEDAT    521
      IL=IL+1                                                           TGEDAT    522
C                                                                       TGEDAT    523
      ENDIF                                                             TGEDAT    524
C                                                                       TGEDAT    525
   50 CONTINUE                                                          TGEDAT    526
C                                                                       TGEDAT    527
C   PRINT GENERATION AND INERTIA AREA SUMMARY                           TGEDAT    528
C                                                                       TGEDAT    529
      HMX=0.0                                                           TGEDAT    530
      GMWI=0.0                                                          TGEDAT    531
      GMXI=0.0                                                          TGEDAT    532
      WRITE (IUX,1070) BASPC                                            TGEDAT    533
      DO 70 I=1,100                                                     TGEDAT    534
      IF (IHERE(I))THEN                                                 TGEDAT    535
C                                                                       TGEDAT    536
C     NOTE THAT THE AREA NO. (IBARI) AS USED HERE IN OLD CODE, E.G.,    TGEDAT    537
C                                                                       TGEDAT    538
C                                                                       TGEDAT    539
C     IS CONSISTENT WITH THE INTENDED DEFINITION, BUT NOT THE ACTUAL    TGEDAT    540
C     CODE DURING READING OF AREA NO.                                   TGEDAT    541
C                                                                       TGEDAT    542
C     IBARI IS TEMPORARY CHANGED TO MAKE MOST CASES RUNNING CORRECTLY.  TGEDAT    543
C     THE ONLY POSSIBLE SITUATION THAT THE FOLLOWING TABULATION WILL BE TGEDAT    544
C     INACCURATE IS THAT THERE ARE BOTH AREA ZERO AND AREA ONE IN THE   TGEDAT    545
C     SYSTEM, IN WHICH CASE THE QUANTITIES IN AREAS ZERO AND ONE WILL   TGEDAT    546
C     BE ADDED TOGETHER.                                                TGEDAT    547
C                                                                       TGEDAT    548
      HMX=HMX+HAREA(I)                                                  TGEDAT    549
      GMWAI=GMWA(I)/BASPC                                               TGEDAT    550
      GMXAI=GMXA(I)/BASPC                                               TGEDAT    551
      GMWI=GMWI+GMWAI                                                   TGEDAT    552
      GMXI=GMXI+GMXAI                                                   TGEDAT    553
      WRITE(IUX,1090) I,IARE(I,1),IARE(I,2),IARE(I,3)                   TGEDAT    554
     *   ,HAREA(I),GMWAI,GMXAI                                          TGEDAT    555
      ENDIF                                                             TGEDAT    556
  70  CONTINUE                                                          TGEDAT    557
C                                                                       TGEDAT    558
      WRITE(IUX,1080) HMX,GMWI,GMXI                                     TGEDAT    559
C                                                                       TGEDAT    560
      RETURN                                                            TGEDAT    561
C                                                                       TGEDAT    562
 1000 FORMAT('1',//,31X,5('* ')                                         TGEDAT    563
     *,' GENERATOR DATA IN IMPEDANCE AND TIME CONSTANT FORM',5(' *'),// TGEDAT    564
     *,'  BUS# STATION NAME GID     BMVA BASVR FREQ      R     XD'      TGEDAT    565
     *,'     XQ     XL    X''D    X''Q   X''''D   X''''Q    T''D'       TGEDAT    566
     *,'    T''Q   T''''D   T''''Q',/,' ----- ------------ ---'         TGEDAT    567
     *,' -------- ----- ----',12(' ------'))                            TGEDAT    568
 1001 FORMAT('1',//,27X,5('* '),' SYNCHRONOUS MOTOR DATA IN IMPEDANCE'  TGEDAT    569
     *,' AND TIME CONSTANT FORM',5(' *'),//,'  BUS# STATION NAME GID'   TGEDAT    570
     *,'     BMVA BASVR FREQ      R     XD     XQ     XL    X''D'       TGEDAT    571
     *,'    X''Q   X''''D   X''''Q    T''D    T''Q   T''''D   T''''Q',/ TGEDAT    572
     *,' ----- ------------ --- -------- ----- ----',12(' ------'))     TGEDAT    573
 1010 FORMAT(I6,1X,3A4,1X,A2,F10.2,F6.3,F5.1,F7.4,8F7.3,3F7.4)          TGEDAT    574
 1030 FORMAT(1H1,//,33X,5('* ')                                         TGEDAT    575
     *,' GENERATOR INITIAL LOADING AND SATURATION DATA',5(' *'),//      TGEDAT    576
     *,'  BUS# STATION NAME GID     BMVA BASVR      H   DAMP  PF'       TGEDAT    577
     *,'     GMW  QF     GMX ISAT    ASAT    BSAT   BATL   BATM   XUIR' TGEDAT    578
     *,/,' ----- ------------ --- -------- -----',2(' ------')          TGEDAT    579
     *,2(' --- -------'),' ----',2(' -------'),3(' ------'))            TGEDAT    580
 1031 FORMAT(1H1,//,29X,5('* '),' SYNCHRONOUS MOTOR INITIAL LOADING'    TGEDAT    581
     *,' AND SATURATION DATA',5(' *'),//,'  BUS# STATION NAME GID'      TGEDAT    582
     *,'     BMVA BASVR      H   DAMP  PF     GMW  QF     GMX ISAT'     TGEDAT    583
     *,'    ASAT    BSAT   BATL   BATM   XUIR'                          TGEDAT    584
     *,/,' ----- ------------ --- -------- -----',2(' ------')          TGEDAT    585
     *,2(' --- -------'),' ----',2(' -------'),3(' ------'))            TGEDAT    586
 1032 FORMAT(1H1,//,29X,5('* '),' SYNCHRONOUS MOTOR INITIAL LOADING'    TGEDAT    587
     *,' AND SATURATION DATA',5(' *'),//,'  BUS# STATION NAME GID'      TGEDAT    588
     *,'     BMVA BASVR      H   DAMP  PF     GMW  QF     GMX    CMTL'  TGEDAT    589
     *,' ISAT    ASAT    BSAT   BATL   BATM   XUIR',/                   TGEDAT    590
     *,' ----- ------------ --- -------- -----',2(' ------')            TGEDAT    591
     *,2(' --- -------'),' ------ ----',2(' -------'),3(' ------'))     TGEDAT    592
 1040 FORMAT(1H1,//,33X,5('* ')                                         TGEDAT    593
     *,' GENERATOR INITIAL LOADING AND SATURATION DATA',5(' *'),//      TGEDAT    594
     *,'  BUS# STATION NAME GID     BMVA BASVR      H   DAMP  PF'       TGEDAT    595
     *,'     GMW  QF     GMX ISAT    ASAT    BSAT   BATL   BATM   XUIR' TGEDAT    596
     *,'   CMTL',/,' ----- ------------ --- -------- -----',2(' ------')TGEDAT    597
     *,2(' --- -------'),' ----',2(' -------'),4(' ------'))            TGEDAT    598
 1050 FORMAT(I6,1X,3A4,1X,A2,F10.2,F6.3,2F7.2,2(I4,F8.2),I4,F9.4,F8.4   TGEDAT    599
     *,3F7.2)                                                           TGEDAT    600
 1051 FORMAT(I6,1X,3A4,1X,A2,F10.2,F6.3,2F7.2,2F12.2,I4,F9.4,F8.4       TGEDAT    601
     *,3F7.2)                                                           TGEDAT    602
 1052 FORMAT(I6,1X,3A4,1X,A2,F10.2,F6.3,2F7.2,2(I4,F8.2),F7.4,I4,F9.4   TGEDAT    603
     *,F8.4,3F7.2)                                                      TGEDAT    604
 1053 FORMAT(I6,1X,3A4,1X,A2,F10.2,F6.3,2F7.2,2F12.2,F7.4,I4,F9.4       TGEDAT    605
     *,F8.4,3F7.2)                                                      TGEDAT    606
 1060 FORMAT(61X,'D-AXIS SATURATION DATA:',2F9.4,F6.2,2F7.2,/           TGEDAT    607
     *,61X,'Q-AXIS SATURATION DATA:',2F9.4,F6.2,2F7.2)                  TGEDAT    608
 1070 FORMAT(1H1,/,28X,'* * * TOTAL INERTIA AND GENERATION ON',F9.2     TGEDAT    609
     *,' MVA BASE * * *',//,26X,'AREA# AREA NAME',11X,'INERTIA'         TGEDAT    610
     *,12X,'GMW',12X,'GMX',/,26X,'----- ------------',3(8X,7('-')))     TGEDAT    611
 1080 FORMAT(/,32X,'SYSTEM TOTAL',3F15.2)                               TGEDAT    612
 1090 FORMAT(I30,2X,3A4,3F15.2)                                         TGEDAT    613
 1100 FORMAT(1H1,//,22X,5('* '),'CLASSICAL GENERATOR DATA TABLE',5(' *')TGEDAT    614
     *,//,'  BUS# STATION NAME GID    BMVA    BASVR           HM'       TGEDAT    615
     *,'     DAMP      X''D  PF       GMW  QF       GMX',/              TGEDAT    616
     *,' ----- ------------ --- ------- -------- ------------'          TGEDAT    617
     *,2(' --------'),2(' --- ---------'))                              TGEDAT    618
 1110 FORMAT(I6,1X,3A4,1X,A2,F9.2,F9.4,F13.4,2F9.4,2(I4,F10.2))         TGEDAT    619
 1111 FORMAT(I6,1X,3A4,1X,A2,F9.2,F9.4,F13.4,2F9.4,2F14.2)              TGEDAT    620
C                                                                       TGEDAT    621
      ENTRY TEXDAT(IUX)                                                 TGEDAT    622
CD                                                                      TGEDAT    623
CD    TO TABULATE EXCITER DATA.                                         TGEDAT    624
CD                                                                      TGEDAT    625
      ILDEF=60                                                          TGEDAT    626
C                                                                       TGEDAT    627
C     PRINT ALL TYPE 1 EXCITER                                          TGEDAT    628
C                                                                       TGEDAT    629
      ASSIGN 2005 TO IFTIL1                                             TGEDAT    630
      ASSIGN 2006 TO IFTIL2                                             TGEDAT    631
      ASSIGN 80 TO I260                                                 TGEDAT    632
      KEXN=1                                                            TGEDAT    633
      I1A=1                                                             TGEDAT    634
      I1B=7                                                             TGEDAT    635
      I1C=9                                                             TGEDAT    636
      I1D=10                                                            TGEDAT    637
      I1E=11                                                            TGEDAT    638
      I1F=11                                                            TGEDAT    639
      I1G=12                                                            TGEDAT    640
      I1H=12                                                            TGEDAT    641
      I2A=13                                                            TGEDAT    642
      I2B=18                                                            TGEDAT    643
      I2C=19                                                            TGEDAT    644
      I2D=19                                                            TGEDAT    645
C                                                                       TGEDAT    646
      L2=.TRUE.                                                         TGEDAT    647
      L3=.FALSE.                                                        TGEDAT    648
      GOTO 260                                                          TGEDAT    649
C                                                                       TGEDAT    650
  80  CONTINUE                                                          TGEDAT    651
C                                                                       TGEDAT    652
C     PRINT ALL TYPE 2 EXCITER                                          TGEDAT    653
C                                                                       TGEDAT    654
      ASSIGN 2010 TO IFTIL1                                             TGEDAT    655
      ASSIGN 2020 TO IFTIL2                                             TGEDAT    656
      ASSIGN 90 TO I260                                                 TGEDAT    657
      KEXN=2                                                            TGEDAT    658
      I1A=1                                                             TGEDAT    659
      I1B=7                                                             TGEDAT    660
      I1C=9                                                             TGEDAT    661
      I1D=11                                                            TGEDAT    662
      I1E=12                                                            TGEDAT    663
      I1F=12                                                            TGEDAT    664
      I1G=13                                                            TGEDAT    665
      I1H=13                                                            TGEDAT    666
      I2A=14                                                            TGEDAT    667
      I2B=18                                                            TGEDAT    668
      I2C=19                                                            TGEDAT    669
      I2D=19                                                            TGEDAT    670
C                                                                       TGEDAT    671
      L2=.TRUE.                                                         TGEDAT    672
      L3=.FALSE.                                                        TGEDAT    673
      GOTO 260                                                          TGEDAT    674
C                                                                       TGEDAT    675
  90  CONTINUE                                                          TGEDAT    676
C                                                                       TGEDAT    677
C     PRINT ALL TYPE 3 EXCITER                                          TGEDAT    678
C                                                                       TGEDAT    679
      ASSIGN 2030 TO IFTIL1                                             TGEDAT    680
      ASSIGN 2040 TO IFTIL2                                             TGEDAT    681
      ASSIGN 2041 TO IFTIL3                                             TGEDAT    682
      ASSIGN 100 TO I260                                                TGEDAT    683
      KEXN=3                                                            TGEDAT    684
      I1A=1                                                             TGEDAT    685
      I1B=8                                                             TGEDAT    686
      I1C=9                                                             TGEDAT    687
      I1D=10                                                            TGEDAT    688
      I1E=11                                                            TGEDAT    689
      I1F=11                                                            TGEDAT    690
      I1G=12                                                            TGEDAT    691
      I1H=12                                                            TGEDAT    692
      I2A=13                                                            TGEDAT    693
      I2B=23                                                            TGEDAT    694
      I2C=25                                                            TGEDAT    695
      I2D=28                                                            TGEDAT    696
      I3A=29                                                            TGEDAT    697
      I3B=31                                                            TGEDAT    698
C                                                                       TGEDAT    699
      L2=.TRUE.                                                         TGEDAT    700
      L3=.TRUE.                                                         TGEDAT    701
      GOTO 260                                                          TGEDAT    702
C                                                                       TGEDAT    703
 100  CONTINUE                                                          TGEDAT    704
C                                                                       TGEDAT    705
C     PRINT ALL TYPE 4 EXCITER                                          TGEDAT    706
C                                                                       TGEDAT    707
      ASSIGN 2050 TO IFTIL1                                             TGEDAT    708
      ASSIGN 2060 TO IFTIL2                                             TGEDAT    709
      ASSIGN 110 TO I260                                                TGEDAT    710
      KEXN=4                                                            TGEDAT    711
      I1A=1                                                             TGEDAT    712
      I1B=8                                                             TGEDAT    713
      I1C=9                                                             TGEDAT    714
      I1D=9                                                             TGEDAT    715
      I1E=10                                                            TGEDAT    716
      I1F=10                                                            TGEDAT    717
      I1G=11                                                            TGEDAT    718
      I1H=11                                                            TGEDAT    719
      I2A=12                                                            TGEDAT    720
      I2B=24                                                            TGEDAT    721
      I2C=25                                                            TGEDAT    722
      I2D=27                                                            TGEDAT    723
C                                                                       TGEDAT    724
      L2=.TRUE.                                                         TGEDAT    725
      L3=.FALSE.                                                        TGEDAT    726
      GOTO 260                                                          TGEDAT    727
C                                                                       TGEDAT    728
 110  CONTINUE                                                          TGEDAT    729
C                                                                       TGEDAT    730
C     PRINT ALL TYPE 5 EXCITER                                          TGEDAT    731
C                                                                       TGEDAT    732
      ASSIGN 2070 TO IFTIL1                                             TGEDAT    733
      ASSIGN 2071 TO IFTIL2                                             TGEDAT    734
      ASSIGN 2075 TO IFTIL3                                             TGEDAT    735
      ASSIGN 120 TO I260                                                TGEDAT    736
      KEXN=5                                                            TGEDAT    737
      I1A=1                                                             TGEDAT    738
      I1B=1                                                             TGEDAT    739
      I1C=2                                                             TGEDAT    740
      I1D=2                                                             TGEDAT    741
      I1E=3                                                             TGEDAT    742
      I1F=3                                                             TGEDAT    743
      I1G=4                                                             TGEDAT    744
      I1H=10                                                            TGEDAT    745
      I2A=11                                                            TGEDAT    746
      I2B=19                                                            TGEDAT    747
      I2C=20                                                            TGEDAT    748
      I2D=25                                                            TGEDAT    749
      I3A=26                                                            TGEDAT    750
      I3B=32                                                            TGEDAT    751
C                                                                       TGEDAT    752
      L2=.TRUE.                                                         TGEDAT    753
      L3=.TRUE.                                                         TGEDAT    754
      GOTO 260                                                          TGEDAT    755
C                                                                       TGEDAT    756
 120  CONTINUE                                                          TGEDAT    757
C                                                                       TGEDAT    758
C     PRINT ALL TYPE 6 EXCITER                                          TGEDAT    759
C                                                                       TGEDAT    760
      ASSIGN 2080 TO IFTIL1                                             TGEDAT    761
      ASSIGN 2090 TO IFTIL2                                             TGEDAT    762
      ASSIGN 2091 TO IFTIL3                                             TGEDAT    763
      ASSIGN 130 TO I260                                                TGEDAT    764
      KEXN=6                                                            TGEDAT    765
      I1A=1                                                             TGEDAT    766
      I1B=1                                                             TGEDAT    767
      I1C=2                                                             TGEDAT    768
      I1D=2                                                             TGEDAT    769
      I1E=3                                                             TGEDAT    770
      I1F=3                                                             TGEDAT    771
      I1G=4                                                             TGEDAT    772
      I1H=10                                                            TGEDAT    773
      I2A=11                                                            TGEDAT    774
      I2B=19                                                            TGEDAT    775
      I2C=20                                                            TGEDAT    776
      I2D=24                                                            TGEDAT    777
      I3A=25                                                            TGEDAT    778
      I3B=26                                                            TGEDAT    779
C                                                                       TGEDAT    780
      L2=.TRUE.                                                         TGEDAT    781
      L3=.TRUE.                                                         TGEDAT    782
      GOTO 260                                                          TGEDAT    783
C                                                                       TGEDAT    784
 130  CONTINUE                                                          TGEDAT    785
C                                                                       TGEDAT    786
C     PRINT ALL TYPE 7 EXCITER                                          TGEDAT    787
C                                                                       TGEDAT    788
      ASSIGN 2100 TO IFTIL1                                             TGEDAT    789
      ASSIGN 2110 TO IFTIL2                                             TGEDAT    790
      ASSIGN 140 TO I260                                                TGEDAT    791
      KEXN=7                                                            TGEDAT    792
      I1A=1                                                             TGEDAT    793
      I1B=5                                                             TGEDAT    794
      I1C=8                                                             TGEDAT    795
      I1D=11                                                            TGEDAT    796
      I1E=12                                                            TGEDAT    797
      I1F=12                                                            TGEDAT    798
      I1G=14                                                            TGEDAT    799
      I1H=14                                                            TGEDAT    800
      I2A=15                                                            TGEDAT    801
      I2B=20                                                            TGEDAT    802
      I2C=21                                                            TGEDAT    803
      I2D=21                                                            TGEDAT    804
C                                                                       TGEDAT    805
      L2=.TRUE.                                                         TGEDAT    806
      L3=.FALSE.                                                        TGEDAT    807
      GOTO 260                                                          TGEDAT    808
C                                                                       TGEDAT    809
 140  CONTINUE                                                          TGEDAT    810
C                                                                       TGEDAT    811
C     PRINT ALL TYPE 8 EXCITER                                          TGEDAT    812
C                                                                       TGEDAT    813
      ASSIGN 2120 TO IFTIL1                                             TGEDAT    814
      ASSIGN 2130 TO IFTIL2                                             TGEDAT    815
      ASSIGN 150 TO I260                                                TGEDAT    816
      KEXN=8                                                            TGEDAT    817
      I1A=1                                                             TGEDAT    818
      I1B=8                                                             TGEDAT    819
      I1C=9                                                             TGEDAT    820
      I1D=9                                                             TGEDAT    821
      I1E=10                                                            TGEDAT    822
      I1F=10                                                            TGEDAT    823
      I1G=11                                                            TGEDAT    824
      I1H=11                                                            TGEDAT    825
      I2A=12                                                            TGEDAT    826
      I2B=24                                                            TGEDAT    827
      I2C=25                                                            TGEDAT    828
      I2D=26                                                            TGEDAT    829
C                                                                       TGEDAT    830
      L2=.TRUE.                                                         TGEDAT    831
      L3=.FALSE.                                                        TGEDAT    832
      GOTO 260                                                          TGEDAT    833
C                                                                       TGEDAT    834
 150  CONTINUE                                                          TGEDAT    835
C                                                                       TGEDAT    836
C     PRINT ALL TYPE 9 EXCITER                                          TGEDAT    837
C                                                                       TGEDAT    838
      ASSIGN 2140 TO IFTIL1                                             TGEDAT    839
      ASSIGN 160 TO I260                                                TGEDAT    840
      KEXN=9                                                            TGEDAT    841
      I1A=3                                                             TGEDAT    842
      I1B=7                                                             TGEDAT    843
      I1C=9                                                             TGEDAT    844
      I1D=10                                                            TGEDAT    845
      I1E=13                                                            TGEDAT    846
      I1F=14                                                            TGEDAT    847
      I1G=17                                                            TGEDAT    848
      I1H=19                                                            TGEDAT    849
C                                                                       TGEDAT    850
      L2=.FALSE.                                                        TGEDAT    851
      L3=.FALSE.                                                        TGEDAT    852
      GOTO 260                                                          TGEDAT    853
C                                                                       TGEDAT    854
 160  CONTINUE                                                          TGEDAT    855
C                                                                       TGEDAT    856
C     PRINT ALL TYPE 10 EXCITER                                         TGEDAT    857
C                                                                       TGEDAT    858
      ASSIGN 2150 TO IFTIL1                                             TGEDAT    859
      ASSIGN 2151 TO IFTIL2                                             TGEDAT    860
      ASSIGN 170 TO I260                                                TGEDAT    861
      KEXN=10                                                           TGEDAT    862
      I1A=1                                                             TGEDAT    863
      I1B=7                                                             TGEDAT    864
      I1C=9                                                             TGEDAT    865
      I1D=11                                                            TGEDAT    866
      I1E=12                                                            TGEDAT    867
      I1F=12                                                            TGEDAT    868
      I1G=13                                                            TGEDAT    869
      I1H=13                                                            TGEDAT    870
      I2A=14                                                            TGEDAT    871
      I2B=18                                                            TGEDAT    872
      I2C=19                                                            TGEDAT    873
      I2D=19                                                            TGEDAT    874
C                                                                       TGEDAT    875
      L2=.TRUE.                                                         TGEDAT    876
      L3=.FALSE.                                                        TGEDAT    877
      GOTO 260                                                          TGEDAT    878
C                                                                       TGEDAT    879
 170  CONTINUE                                                          TGEDAT    880
C                                                                       TGEDAT    881
C     PRINT ALL TYPE 14 EXCITER                                         TGEDAT    882
C                                                                       TGEDAT    883
      ASSIGN 2160 TO IFTIL1                                             TGEDAT    884
      ASSIGN 2170 TO IFTIL2                                             TGEDAT    885
      ASSIGN 2180 TO IFTIL3                                             TGEDAT    886
      ASSIGN 180 TO I260                                                TGEDAT    887
      KEXN=14                                                           TGEDAT    888
      I1A=1                                                             TGEDAT    889
      I1B=8                                                             TGEDAT    890
      I1C=9                                                             TGEDAT    891
      I1D=10                                                            TGEDAT    892
      I1E=11                                                            TGEDAT    893
      I1F=11                                                            TGEDAT    894
      I1G=12                                                            TGEDAT    895
      I1H=12                                                            TGEDAT    896
      I2A=13                                                            TGEDAT    897
      I2B=26                                                            TGEDAT    898
      I2C=27                                                            TGEDAT    899
      I2D=27                                                            TGEDAT    900
      I3A=28                                                            TGEDAT    901
      I3B=32                                                            TGEDAT    902
C                                                                       TGEDAT    903
      L2=.TRUE.                                                         TGEDAT    904
      L3=.TRUE.                                                         TGEDAT    905
      GOTO 260                                                          TGEDAT    906
C                                                                       TGEDAT    907
 180  CONTINUE                                                          TGEDAT    908
C                                                                       TGEDAT    909
C     PRINT ALL TYPE 15 EXCITER                                         TGEDAT    910
C                                                                       TGEDAT    911
      ASSIGN 2190 TO IFTIL1                                             TGEDAT    912
      ASSIGN 2191 TO IFTIL2                                             TGEDAT    913
      ASSIGN 190 TO I260                                                TGEDAT    914
      KEXN=15                                                           TGEDAT    915
      I1A=1                                                             TGEDAT    916
      I1B=4                                                             TGEDAT    917
      I1C=7                                                             TGEDAT    918
      I1D=12                                                            TGEDAT    919
      I1E=13                                                            TGEDAT    920
      I1F=13                                                            TGEDAT    921
      I1G=17                                                            TGEDAT    922
      I1H=17                                                            TGEDAT    923
      I2A=18                                                            TGEDAT    924
      I2B=18                                                            TGEDAT    925
      I2C=19                                                            TGEDAT    926
      I2D=19                                                            TGEDAT    927
C                                                                       TGEDAT    928
      L2=.TRUE.                                                         TGEDAT    929
      L3=.FALSE.                                                        TGEDAT    930
      GOTO 260                                                          TGEDAT    931
C                                                                       TGEDAT    932
 190  CONTINUE                                                          TGEDAT    933
C                                                                       TGEDAT    934
C     PRINT ALL TYPE 30 EXCITER                                         TGEDAT    935
C                                                                       TGEDAT    936
      ASSIGN 2200 TO IFTIL1                                             TGEDAT    937
      ASSIGN 2210 TO IFTIL2                                             TGEDAT    938
      ASSIGN 200 TO I260                                                TGEDAT    939
      KEXN=30                                                           TGEDAT    940
      I1A=1                                                             TGEDAT    941
      I1B=8                                                             TGEDAT    942
      I1C=9                                                             TGEDAT    943
      I1D=10                                                            TGEDAT    944
      I1E=11                                                            TGEDAT    945
      I1F=11                                                            TGEDAT    946
      I1G=12                                                            TGEDAT    947
      I1H=12                                                            TGEDAT    948
      I2A=13                                                            TGEDAT    949
      I2B=15                                                            TGEDAT    950
      I2C=17                                                            TGEDAT    951
      I2D=28                                                            TGEDAT    952
C                                                                       TGEDAT    953
      L2=.TRUE.                                                         TGEDAT    954
      L3=.FALSE.                                                        TGEDAT    955
      GOTO 260                                                          TGEDAT    956
C                                                                       TGEDAT    957
 200  CONTINUE                                                          TGEDAT    958
C                                                                       TGEDAT    959
C     PRINT ALL TYPE 31 EXCITER                                         TGEDAT    960
C                                                                       TGEDAT    961
      ASSIGN 2220 TO IFTIL1                                             TGEDAT    962
      ASSIGN 2230 TO IFTIL2                                             TGEDAT    963
      ASSIGN 210 TO I260                                                TGEDAT    964
      KEXN=31                                                           TGEDAT    965
      I1A=1                                                             TGEDAT    966
      I1B=9                                                             TGEDAT    967
      I1C=10                                                            TGEDAT    968
      I1D=10                                                            TGEDAT    969
      I1E=12                                                            TGEDAT    970
      I1F=12                                                            TGEDAT    971
      I1G=13                                                            TGEDAT    972
      I1H=13                                                            TGEDAT    973
      I2A=14                                                            TGEDAT    974
      I2B=15                                                            TGEDAT    975
      I2C=17                                                            TGEDAT    976
      I2D=24                                                            TGEDAT    977
C                                                                       TGEDAT    978
      L2=.TRUE.                                                         TGEDAT    979
      L3=.FALSE.                                                        TGEDAT    980
      GOTO 260                                                          TGEDAT    981
C                                                                       TGEDAT    982
 210  CONTINUE                                                          TGEDAT    983
C                                                                       TGEDAT    984
C     PRINT ALL TYPE 32 EXCITER                                         TGEDAT    985
C                                                                       TGEDAT    986
      ASSIGN 2240 TO IFTIL1                                             TGEDAT    987
      ASSIGN 2250 TO IFTIL2                                             TGEDAT    988
      ASSIGN 2260 TO IFTIL3                                             TGEDAT    989
      ASSIGN 220 TO I260                                                TGEDAT    990
      KEXN=32                                                           TGEDAT    991
      I1A=1                                                             TGEDAT    992
      I1B=8                                                             TGEDAT    993
      I1C=9                                                             TGEDAT    994
      I1D=10                                                            TGEDAT    995
      I1E=11                                                            TGEDAT    996
      I1F=11                                                            TGEDAT    997
      I1G=12                                                            TGEDAT    998
      I1H=12                                                            TGEDAT    999
      I2A=13                                                            TGEDAT   1000
      I2B=15                                                            TGEDAT   1001
      I2C=17                                                            TGEDAT   1002
      I2D=28                                                            TGEDAT   1003
      I3A=29                                                            TGEDAT   1004
      I3B=34                                                            TGEDAT   1005
C                                                                       TGEDAT   1006
      L2=.TRUE.                                                         TGEDAT   1007
      L3=.TRUE.                                                         TGEDAT   1008
      GOTO 260                                                          TGEDAT   1009
C                                                                       TGEDAT   1010
 220  CONTINUE                                                          TGEDAT   1011
C                                                                       TGEDAT   1012
C     PRINT ALL TYPE 34 EXCITER                                         TGEDAT   1013
C                                                                       TGEDAT   1014
      ASSIGN 2270 TO IFTIL1                                             TGEDAT   1015
      ASSIGN 2280 TO IFTIL2                                             TGEDAT   1016
      ASSIGN 230 TO I260                                                TGEDAT   1017
      KEXN=34                                                           TGEDAT   1018
      I1A=1                                                             TGEDAT   1019
      I1B=7                                                             TGEDAT   1020
      I1C=8                                                             TGEDAT   1021
      I1D=8                                                             TGEDAT   1022
      I1E=9                                                             TGEDAT   1023
      I1F=9                                                             TGEDAT   1024
      I1G=10                                                            TGEDAT   1025
      I1H=10                                                            TGEDAT   1026
      I2A=11                                                            TGEDAT   1027
      I2B=15                                                            TGEDAT   1028
      I2C=17                                                            TGEDAT   1029
      I2D=21                                                            TGEDAT   1030
C                                                                       TGEDAT   1031
      L2=.TRUE.                                                         TGEDAT   1032
      L3=.FALSE.                                                        TGEDAT   1033
      GOTO 260                                                          TGEDAT   1034
C                                                                       TGEDAT   1035
 230  CONTINUE                                                          TGEDAT   1036
C                                                                       TGEDAT   1037
C     PRINT ALL TYPE 50 EXCITER                                         TGEDAT   1038
C                                                                       TGEDAT   1039
      ASSIGN 240 TO I260                                                TGEDAT   1040
      KEXN=50                                                           TGEDAT   1041
C                                                                       TGEDAT   1042
      L2=.FALSE.                                                        TGEDAT   1043
      GOTO 260                                                          TGEDAT   1044
C                                                                       TGEDAT   1045
 240  CONTINUE                                                          TGEDAT   1046
C                                                                       TGEDAT   1047
      IL=ILDEF                                                          TGEDAT   1048
      KN=0                                                              TGEDAT   1049
      DO 250 K=1,IPNODE                                                 TGEDAT   1050
      KN=KN+3                                                           TGEDAT   1051
      NLF=NOLD(K)                                                       TGEDAT   1052
      N1=NTHG(K)                                                        TGEDAT   1053
      N2=NTHG(K+1)-1                                                    TGEDAT   1054
      DO 250 N=N1,N2                                                    TGEDAT   1055
      CKID='    '                                                       TGEDAT   1056
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   1057
      ICBRN=ICONTA(9,N)                                                 TGEDAT   1058
      IF(ICBRN.EQ.2)THEN                                                TGEDAT   1059
         JE=JCONTA(8,N)                                                 TGEDAT   1060
         IF(IL.GE.ILDEF)THEN                                            TGEDAT   1061
            IL=7                                                        TGEDAT   1062
            WRITE(IUX,2310)                                             TGEDAT   1063
         ENDIF                                                          TGEDAT   1064
         WRITE(IUX,2330) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID     TGEDAT   1065
     &   ,(DDAT(JE+LK),LK=1,2)                                          TGEDAT   1066
         IL=IL+1                                                        TGEDAT   1067
      ENDIF                                                             TGEDAT   1068
 250  CONTINUE                                                          TGEDAT   1069
C                                                                       TGEDAT   1070
      IL=ILDEF                                                          TGEDAT   1071
      KN=0                                                              TGEDAT   1072
      DO 255 K=1,IPNODE                                                 TGEDAT   1073
      KN=KN+3                                                           TGEDAT   1074
      NLF=NOLD(K)                                                       TGEDAT   1075
      N1=NTHG(K)                                                        TGEDAT   1076
      N2=NTHG(K+1)-1                                                    TGEDAT   1077
      DO 255 N=N1,N2                                                    TGEDAT   1078
      CKID='    '                                                       TGEDAT   1079
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   1080
      ICBRN=ICONTA(9,N)                                                 TGEDAT   1081
      IF(ICBRN.EQ.3)THEN                                                TGEDAT   1082
         JE=JCONTA(8,N)                                                 TGEDAT   1083
         IF(IL.GE.ILDEF)THEN                                            TGEDAT   1084
            IL=7                                                        TGEDAT   1085
            WRITE(IUX,2320)                                             TGEDAT   1086
         ENDIF                                                          TGEDAT   1087
         WRITE(IUX,2330) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID     TGEDAT   1088
     &   ,(DDAT(JE+LK),LK=1,2),IDDAT(JE+3),DDAT(JE+4)                   TGEDAT   1089
         IL=IL+1                                                        TGEDAT   1090
      ENDIF                                                             TGEDAT   1091
 255  CONTINUE                                                          TGEDAT   1092
C                                                                       TGEDAT   1093
      RETURN                                                            TGEDAT   1094
C                                                                       TGEDAT   1095
 260  CONTINUE                                                          TGEDAT   1096
C                                                                       TGEDAT   1097
C     PRINT EXCITER DATA                                                TGEDAT   1098
C                                                                       TGEDAT   1099
      IL=ILDEF                                                          TGEDAT   1100
      KN=0                                                              TGEDAT   1101
      DO 270 K=1,IPNODE                                                 TGEDAT   1102
      KN=KN+3                                                           TGEDAT   1103
      NLF=NOLD(K)                                                       TGEDAT   1104
      N1=NTHG(K)                                                        TGEDAT   1105
      N2=NTHG(K+1)-1                                                    TGEDAT   1106
      DO 270 N=N1,N2                                                    TGEDAT   1107
      CKID='    '                                                       TGEDAT   1108
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   1109
      IEXN=ICONTA(4,N)                                                  TGEDAT   1110
      IF(IEXN.EQ.KEXN)THEN                                              TGEDAT   1111
      JE=JCONTA(3,N)                                                    TGEDAT   1112
      IF(IEXN.EQ.50)THEN                                                TGEDAT   1113
         IF(IL.GE.ILDEF)THEN                                            TGEDAT   1114
            IL=7                                                        TGEDAT   1115
            WRITE(IUX,2300)                                             TGEDAT   1116
         ENDIF                                                          TGEDAT   1117
         WRITE(IUX,2290) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID     TGEDAT   1118
         JE1=JE+9                                                       TGEDAT   1119
         CALL TUDMDA(1,IUX,IL,JE1)                                      TGEDAT   1120
      ELSE                                                              TGEDAT   1121
         IF(IL.GE.ILDEF)THEN                                            TGEDAT   1122
            IL=7                                                        TGEDAT   1123
            WRITE(IUX,IFTIL1)                                           TGEDAT   1124
         ENDIF                                                          TGEDAT   1125
         NSNO1=IDDAT(JE+1)                                              TGEDAT   1126
         IF(NSNO1.EQ.0) NSNO1=K                                         TGEDAT   1127
         KSNO1=NOLD(NSNO1)                                              TGEDAT   1128
         N13=NSNO1*3                                                    TGEDAT   1129
         IF(IEXN.EQ.9)THEN                                              TGEDAT   1130
            WRITE(IUX,2008) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1131
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13)              TGEDAT   1132
     &         ,(DDAT(JE+1+LK),LK=I1A,I1B),(DDAT(JE+1+LK),LK=I1C,I1D)   TGEDAT   1133
     &         ,(DDAT(JE+1+LK),LK=I1E,I1F),(DDAT(JE+1+LK),LK=I1G,I1H)   TGEDAT   1134
         ELSEIF(IEXN.EQ.34)THEN                                         TGEDAT   1135
            WRITE(IUX,2002) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1136
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13),ICONTA(14,NT)TGEDAT   1137
     &         ,ICONTA(15,NT),ICONTA(16,NT),(DDAT(JE+1+LK),LK=I1A,I1B)  TGEDAT   1138
     &         ,(DDAT(JE+1+LK),LK=I1C,I1D),(DDAT(JE+1+LK),LK=I1E,I1F)   TGEDAT   1139
     &         ,(DDAT(JE+1+LK),LK=I1G,I1H)                              TGEDAT   1140
         ELSEIF(IEXN.EQ.1.OR.IEXN.EQ.4)THEN                             TGEDAT   1141
            WRITE(IUX,2000) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1142
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13),ICONTA(14,NT)TGEDAT   1143
     *         ,(DDAT(JE+1+LK),LK=I1A,I1B),(DDAT(JE+1+LK),LK=I1C,I1D)   TGEDAT   1144
     &         ,(DDAT(JE+1+LK),LK=I1E,I1F),(DDAT(JE+1+LK),LK=I1G,I1H)   TGEDAT   1145
         ELSEIF(IEXN.EQ.5.OR.IEXN.EQ.6)THEN                             TGEDAT   1146
            WRITE(IUX,2001) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1147
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13)              TGEDAT   1148
     &         ,ICONTA(14,NT),ICONTA(15,NT),(DDAT(JE+1+LK),LK=I1A,I1B)  TGEDAT   1149
     &         ,(DDAT(JE+1+LK),LK=I1C,I1D),(DDAT(JE+1+LK),LK=I1E,I1F)   TGEDAT   1150
     &         ,(DDAT(JE+1+LK),LK=I1G,I1H)                              TGEDAT   1151
         ELSEIF(IEXN.EQ.7.OR.IEXN.EQ.8.OR.IEXN.EQ.30)THEN               TGEDAT   1152
            WRITE(IUX,2007) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1153
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13),ICONTA(14,NT)TGEDAT   1154
     *         ,(DDAT(JE+1+LK),LK=I1A,I1B),(DDAT(JE+1+LK),LK=I1C,I1D)   TGEDAT   1155
     &         ,(DDAT(JE+1+LK),LK=I1E,I1F),(DDAT(JE+1+LK),LK=I1G,I1H)   TGEDAT   1156
         ELSEIF(IEXN.GE.15)THEN                                         TGEDAT   1157
            WRITE(IUX,2009) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1158
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13)              TGEDAT   1159
     &         ,(DDAT(JE+1+LK),LK=I1A,I1B),(DDAT(JE+1+LK),LK=I1C,I1D)   TGEDAT   1160
     &         ,(DDAT(JE+1+LK),LK=I1E,I1F),(DDAT(JE+1+LK),LK=I1G,I1H)   TGEDAT   1161
         ELSE                                                           TGEDAT   1162
            WRITE(IUX,2003) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1163
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13)              TGEDAT   1164
     &         ,(DDAT(JE+1+LK),LK=I1A,I1B),(DDAT(JE+1+LK),LK=I1C,I1D)   TGEDAT   1165
     &         ,(DDAT(JE+1+LK),LK=I1E,I1F),(DDAT(JE+1+LK),LK=I1G,I1H)   TGEDAT   1166
         ENDIF                                                          TGEDAT   1167
         IL=IL+1                                                        TGEDAT   1168
      ENDIF                                                             TGEDAT   1169
      ENDIF                                                             TGEDAT   1170
 270  CONTINUE                                                          TGEDAT   1171
C                                                                       TGEDAT   1172
      IF(.NOT.L2)GOTO I260                                              TGEDAT   1173
C                                                                       TGEDAT   1174
      IL=ILDEF                                                          TGEDAT   1175
      KN=0                                                              TGEDAT   1176
      DO 280 K=1,IPNODE                                                 TGEDAT   1177
      KN=KN+3                                                           TGEDAT   1178
      NLF=NOLD(K)                                                       TGEDAT   1179
      N1=NTHG(K)                                                        TGEDAT   1180
      N2=NTHG(K+1)-1                                                    TGEDAT   1181
      DO 280 N=N1,N2                                                    TGEDAT   1182
      CKID='    '                                                       TGEDAT   1183
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   1184
      IEXN=ICONTA(4,N)                                                  TGEDAT   1185
      IF(IEXN.EQ.KEXN)THEN                                              TGEDAT   1186
      JE=JCONTA(3,N)                                                    TGEDAT   1187
      IF(IL.GE.ILDEF)THEN                                               TGEDAT   1188
      IL=7                                                              TGEDAT   1189
      WRITE(IUX,IFTIL2)                                                 TGEDAT   1190
      ENDIF                                                             TGEDAT   1191
      WRITE(IUX,2004) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT   1192
     &,(DDAT(JE+1+LK),LK=I2A,I2B),(DDAT(JE+1+LK),LK=I2C,I2D)            TGEDAT   1193
      IL=IL+1                                                           TGEDAT   1194
      ENDIF                                                             TGEDAT   1195
 280  CONTINUE                                                          TGEDAT   1196
C                                                                       TGEDAT   1197
      IF(.NOT.L3)GOTO I260                                              TGEDAT   1198
C                                                                       TGEDAT   1199
      IL=ILDEF                                                          TGEDAT   1200
      KN=0                                                              TGEDAT   1201
      DO 290 K=1,IPNODE                                                 TGEDAT   1202
      KN=KN+3                                                           TGEDAT   1203
      NLF=NOLD(K)                                                       TGEDAT   1204
      N1=NTHG(K)                                                        TGEDAT   1205
      N2=NTHG(K+1)-1                                                    TGEDAT   1206
      DO 290 N=N1,N2                                                    TGEDAT   1207
      CKID='    '                                                       TGEDAT   1208
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   1209
      IEXN=ICONTA(4,N)                                                  TGEDAT   1210
      IF(IEXN.EQ.KEXN)THEN                                              TGEDAT   1211
      JE=JCONTA(3,N)                                                    TGEDAT   1212
      IF(IL.GE.ILDEF)THEN                                               TGEDAT   1213
      IL=7                                                              TGEDAT   1214
      WRITE(IUX,IFTIL3)                                                 TGEDAT   1215
      ENDIF                                                             TGEDAT   1216
      WRITE(IUX,2004) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT   1217
     &,(DDAT(JE+1+LK),LK=I3A,I3B)                                       TGEDAT   1218
      IL=IL+1                                                           TGEDAT   1219
      ENDIF                                                             TGEDAT   1220
 290  CONTINUE                                                          TGEDAT   1221
C                                                                       TGEDAT   1222
      GOTO I260                                                         TGEDAT   1223
C                                                                       TGEDAT   1224
 2000 FORMAT(I6,1X,3A4,1X,A2,I7,1X,3A4,I4,F9.2,3F7.2,F8.4,F12.4,5F7.2)  TGEDAT   1225
 2001 FORMAT(I6,1X,3A4,1X,A2,I7,1X,3A4,I4,I6,F9.2,3F7.2,F8.4,F12.4      TGEDAT   1226
     *,4F7.2)                                                           TGEDAT   1227
 2002 FORMAT(I6,1X,3A4,1X,A2,I7,1X,3A4,I4,I6,I7,F8.2,9F7.2)             TGEDAT   1228
 2003 FORMAT(I6,1X,3A4,1X,A2,I7,1X,3A4,4F7.2,F8.4,F12.4,6F7.2)          TGEDAT   1229
 2004 FORMAT(I6,1X,3A4,1X,A2,15F7.2,F4.1)                               TGEDAT   1230
 2007 FORMAT(I6,1X,3A4,1X,A2,I7,1X,3A4,I4,F9.2,11F7.2)                  TGEDAT   1231
 2008 FORMAT(I6,1X,3A4,1X,A2,I7,1X,3A4,2F7.2,F8.4,F12.4,8F7.2)          TGEDAT   1232
 2009 FORMAT(I6,1X,3A4,1X,A2,I7,1X,3A4,12F7.2)                          TGEDAT   1233
C                                                                       TGEDAT   1234
 2005 FORMAT('1',T37,'EXCITER TYPE 1 (WSCC TYPE FA OR FB, IEEE TYPE'    TGEDAT   1235
     *,' DC1A OR DC2A)',//,4X,'GENERATOR BUS',11X,'SENSING BUS',T77     TGEDAT   1236
     *,'SE(VSAT) SE(.75VSAT)',/,' BUS # STATION NAME GID BUS # BUS NAME'TGEDAT   1237
     *,'     LVUEL     KA     TA     KE     TE     AEX         BEX'     TGEDAT   1238
     *,'   VSAT     KF     TF     TC     TB',/,' ----- ------------ ---'TGEDAT   1239
     *,' ----- ------------ -----',4(' ------'),' ------- -----------'  TGEDAT   1240
     *,5(' ------'))                                                    TGEDAT   1241
 2006 FORMAT('1',T31,'EXCITER TYPE 1 (WSCC TYPE FA OR FB, IEEE TYPE'    TGEDAT   1242
     *,' DC1A OR DC2A) (CONTINUED)',//,' BUS # STATION NAME GID VRMAX'  TGEDAT   1243
     *,'  VRMIN    ETV  ETMIN     TR     RC     XC',/                   TGEDAT   1244
     *,' ----- ------------ --- -----',6(1X,6('-')))                    TGEDAT   1245
C                                                                       TGEDAT   1246
 2010 FORMAT('1',T37,'EXCITER TYPE 2 (WSCC TYPE FA OR FB, IEEE TYPE'    TGEDAT   1247
     *,' DC1A OR DC2A)',//,4X,'GENERATOR BUS',11X,'SENSING BUS',T71     TGEDAT   1248
     *,'SE(VSAT) SE(.75VSAT)',/,' BUS # STATION NAME GID BUS # BUS NAME'TGEDAT   1249
     *,'         KA     TA     KE     TE     AEX         BEX   VSAT'    TGEDAT   1250
     *,'     KF     TF     TC     TB  VRMAX',/,' ----- ------------ ---'TGEDAT   1251
     *,' ----- ------------',5(' ------'),'- -----------',6(' ------')) TGEDAT   1252
C                                                                       TGEDAT   1253
 2020 FORMAT('1',T31,'EXCITER TYPE 2 (WSCC TYPE FA OR FB, IEEE TYPE'    TGEDAT   1254
     *,' DC1A OR DC2A) (CONTINUED)',//,' BUS # STATION NAME GID'        TGEDAT   1255
     *,' VRMIN    ETV  ETMIN     TR     RC     XC',/                    TGEDAT   1256
     *,' ----- ------------ --- -----',5(1X,6('-')))                    TGEDAT   1257
C                                                                       TGEDAT   1258
 2030 FORMAT('1',T54,'EXCITER TYPE 3',//,4X,'GENERATOR BUS',11X         TGEDAT   1259
     *,'SENSING BUS',T71,'SE(VSAT) SE(.75VSAT)',/,' BUS # STATION NAME' TGEDAT   1260
     *,' GID BUS # BUS NAME         KA     TA     KE     TE     AEX'    TGEDAT   1261
     *,'         BEX   VSAT     KC     KF     TF     TC     TB',/       TGEDAT   1262
     *,' ----- ------------ --- ----- ------------',4(' ------')        TGEDAT   1263
     *,' ------- -----------',6(' ------'))                             TGEDAT   1264
C                                                                       TGEDAT   1265
 2040 FORMAT('1',T50,'EXCITER TYPE 3 (CONTINUED)',//,' BUS #'           TGEDAT   1266
     *,' STATION NAME GID VRMAX  VRMIN  VEMIN     TK     TR     RC'     TGEDAT   1267
     *,'     XC    XDE   X''DE    TC1    TB1   KETL    TL1    TL2'      TGEDAT   1268
     *,'  ETLMT',/,' ----- ------------ --- -----',14(1X,6('-')))       TGEDAT   1269
C                                                                       TGEDAT   1270
 2041 FORMAT('1',T50,'EXCITER TYPE 3 (CONTINUED)',//,' BUS #'           TGEDAT   1271
     *,' STATION NAME GID  VOMX    K21    K22',/                        TGEDAT   1272
     *,' ----- ------------ --- -----',2(1X,6('-')))                    TGEDAT   1273
C                                                                       TGEDAT   1274
 2050 FORMAT('1',T44,'EXCITER TYPE 4 (WSCC TYPE FH, IEEE TYPE AC3A)',// TGEDAT   1275
     *,4X,'GENERATOR BUS',11X,'SENSING BUS',T77,'SE(VSAT) SE(.75VSAT)',/TGEDAT   1276
     *,' BUS # STATION NAME GID BUS # BUS NAME     LVUEL     KA     TA' TGEDAT   1277
     *,'     KE     TE     AEX         BEX   VSAT     KC     KF     TF' TGEDAT   1278
     *,'     TC',/,' ----- ------------ --- ----- ------------'         TGEDAT   1279
     *,' -----',4(' ------'),' ------- -----------',5(' ------'))       TGEDAT   1280
C                                                                       TGEDAT   1281
 2060 FORMAT('1',T38,'EXCITER TYPE 4 (WSCC TYPE FH, IEEE TYPE AC3A)'    TGEDAT   1282
     *,' (CONTINUED)',//,' BUS # STATION NAME GID    TB  VAMAX  VAMIN'  TGEDAT   1283
     *,'  VEMIN     KR     TR     RC     XC    XDE   X''DE     KN'      TGEDAT   1284
     *,'   EFDN    KLN    VLN VFEMAX LVF',/,' ----- ------------ ---'   TGEDAT   1285
     *,' -----',14(' ------'),' ---')                                   TGEDAT   1286
C                                                                       TGEDAT   1287
 2070 FORMAT('1',T44,'EXCITER TYPE 5 (WSCC TYPE FC, IEEE TYPE AC1A)',// TGEDAT   1288
     *,4X,'GENERATOR BUS',11X,'SENSING BUS',T83,'SE(VSAT) SE(.75VSAT)',/TGEDAT   1289
     *,' BUS # STATION NAME GID BUS # BUS NAME     LVUEL LVOEL     KA'  TGEDAT   1290
     *,'     TA     KE     TE     AEX         BEX   VSAT     KC     KF' TGEDAT   1291
     *,'     TF',/,2(' ----- ------------ ---'),'-- -----',4(' ------') TGEDAT   1292
     *,' ------- -----------',4(' ------'))                             TGEDAT   1293
C                                                                       TGEDAT   1294
 2071 FORMAT('1',T38,'EXCITER TYPE 5 (WSCC TYPE FC, IEEE TYPE AC1A)'    TGEDAT   1295
     *,' (CONTINUED)',//,' BUS # STATION NAME GID    TC     TB  VRMAX'  TGEDAT   1296
     *,'  VRMIN  VEMIN     T6     TR     RC     XC    XDE   X''DE'      TGEDAT   1297
     *,'    TC2    TB2  VAMAX   KETL',/,' ----- ------------ --- -----' TGEDAT   1298
     *,14(1X,6('-')))                                                   TGEDAT   1299
C                                                                       TGEDAT   1300
 2075 FORMAT('1',T38,'EXCITER TYPE 5 (WSCC TYPE FC, IEEE TYPE AC1A)'    TGEDAT   1301
     *,' (CONTINUED)',//,' BUS # STATION NAME GID   TL1    TL2  ETLMT'  TGEDAT   1302
     *,'   VOMX    K21    K22  VAMIN',/,' ----- ------------ --- -----' TGEDAT   1303
     *,6(1X,6('-')))                                                    TGEDAT   1304
C                                                                       TGEDAT   1305
 2080 FORMAT('1',T44,'EXCITER TYPE 6 (WSCC TYPE FF, IEEE TYPE AC2A)',// TGEDAT   1306
     *,4X,'GENERATOR BUS',11X,'SENSING BUS',T83,'SE(VSAT) SE(.75VSAT)',/TGEDAT   1307
     *,' BUS # STATION NAME GID BUS # BUS NAME     LVUEL LVOEL     KA'  TGEDAT   1308
     *,'     TA     KE     TE     AEX         BEX   VSAT     KC     KF' TGEDAT   1309
     *,'     TF',/,2(' ----- ------------ ---'),'-- -----',4(' ------') TGEDAT   1310
     *,' ------- -----------',4(' ------'))                             TGEDAT   1311
C                                                                       TGEDAT   1312
 2090 FORMAT('1',T38,'EXCITER TYPE 6 (WSCC TYPE FF, IEEE TYPE AC2A)'    TGEDAT   1313
     *,' (CONTINUED)',//,' BUS # STATION NAME GID    TC     TB  VAMAX'  TGEDAT   1314
     *,'  VAMIN  VRMAX  VRMIN     TR     RC     XC    XDE   X''DE'      TGEDAT   1315
     *,'     KB     KH     KL',/,' ----- ------------ --- -----'        TGEDAT   1316
     *,13(1X,6('-')))                                                   TGEDAT   1317
C                                                                       TGEDAT   1318
 2091 FORMAT('1',T38,'EXCITER TYPE 6 (WSCC TYPE FF, IEEE TYPE AC2A)'    TGEDAT   1319
     *,' (CONTINUED)',//,' BUS # STATION NAME GID  VLMT VFEMAX',/       TGEDAT   1320
     *,' ----- ------------ --- ----- ------')                          TGEDAT   1321
C                                                                       TGEDAT   1322
 2100 FORMAT('1',T44,'EXCITER TYPE 7 (WSCC TYPE FD, IEEE TYPE ST2A)',// TGEDAT   1323
     *,4X,'GENERATOR BUS',11X,'SENSING BUS',/,' BUS # STATION NAME GID' TGEDAT   1324
     *,' BUS # BUS NAME     LVUEL     KA     TA     KE     TE    LVI'   TGEDAT   1325
     *,'     KC     KF     TF     TC     TB  VRMAX',/                   TGEDAT   1326
     *,2(' ----- ------------ ---'),'--',11(1X,6('-')))                 TGEDAT   1327
C                                                                       TGEDAT   1328
 2110 FORMAT('1',T38,'EXCITER TYPE 7 (WSCC TYPE FD, IEEE TYPE ST2A)'    TGEDAT   1329
     *,' (CONTINUED)',//,' BUS # STATION NAME GID VRMIN EFDMAX     TR'  TGEDAT   1330
     *,'     RC     XC     KP     KI',/,' ----- ------------ --- -----' TGEDAT   1331
     *,6(1X,6('-')))                                                    TGEDAT   1332
C                                                                       TGEDAT   1333
 2120 FORMAT('1',T44,'EXCITER TYPE 8 (WSCC TYPE FL, IEEE TYPE ST3A)',// TGEDAT   1334
     *,4X,'GENERATOR BUS',11X,'SENSING BUS',/,' BUS # STATION NAME GID' TGEDAT   1335
     *,' BUS # BUS NAME     LVUEL     KM     TM     KA     KG  VGMAX'   TGEDAT   1336
     *,'  VIMAX  VIMIN     KC     KF     TF     TC',/                   TGEDAT   1337
     *,2(' ----- ------------ ---'),'--',11(' ------'))                 TGEDAT   1338
C                                                                       TGEDAT   1339
 2130 FORMAT('1',T38,'EXCITER TYPE 8 (WSCC TYPE FL, IEEE TYPE ST3A)'    TGEDAT   1340
     *,' (CONTINUED)',//,' BUS # STATION NAME GID    TB     TA  VMMAX'  TGEDAT   1341
     *,'  VMMIN  EFMAX     TR     RC     XC     XL     KI     KP THERAP'TGEDAT   1342
     *,'  VRMAX  VRMIN  VBMAX',/,' ----- ------------ --- -----'        TGEDAT   1343
     *,14(1X,6('-')))                                                   TGEDAT   1344
C                                                                       TGEDAT   1345
 2140 FORMAT('1',T44,'EXCITER TYPE 9 (WSCC TYPE FE, IEEE TYPE DC3A)',// TGEDAT   1346
     *,4X,'GENERATOR BUS',11X,'SENSING BUS',17X,'SE(VSAT) SE(.75VSAT)',/TGEDAT   1347
     *,' BUS # STATION NAME GID BUS # BUS NAME         KE     TE'       TGEDAT   1348
     *,'     AEX         BEX   VSAT     KV    TRH  VRMAX  VRMIN     TR' TGEDAT   1349
     *,'     RC     XC',/,2(' ----- ------------ ---'),'--- ------'     TGEDAT   1350
     *,' ------- -----------',8(' ------'))                             TGEDAT   1351
C                                                                       TGEDAT   1352
 2150 FORMAT('1',T59,'EXCITER TYPE 10',//,4X,'GENERATOR BUS',11X        TGEDAT   1353
     *,'SENSING BUS',T71,'SE(VSAT) SE(.75VSAT)',/,' BUS # STATION NAME' TGEDAT   1354
     *,' GID BUS # BUS NAME         KA     TA     KE     TE     AEX'    TGEDAT   1355
     *,'         BEX   VSAT     KF    TF1     TC     TB    TF3',/       TGEDAT   1356
     *,2(' ----- ------------ ---'),'---',3(' ------')                  TGEDAT   1357
     *,' ------- -----------',6(' ------'))                             TGEDAT   1358
C                                                                       TGEDAT   1359
 2151 FORMAT('1',T40,'EXCITER TYPE 10 (CONTINUED)',//,' BUS #'          TGEDAT   1360
     *,' STATION NAME GID   TF2  VRMAX  VRMIN     TR     RC     XC',/   TGEDAT   1361
     *,' ----- ------------ --- -----',5(1X,6('-')))                    TGEDAT   1362
C                                                                       TGEDAT   1363
 2160 FORMAT('1',T59,'EXCITER TYPE 14',//,4X,'GENERATOR BUS',11X        TGEDAT   1364
     *,'SENSING BUS',T83,'SE(VSAT) SE(.75VSAT)',/,' BUS # STATION NAME' TGEDAT   1365
     *,' GID BUS # BUS NAME         KA     TA     KE     TE     AEX'    TGEDAT   1366
     *,'         BEX   VSAT     KC     TJ     TH     TC     TB',/       TGEDAT   1367
     *,2(' ----- ------------ ---'),'---',3(' ------')                  TGEDAT   1368
     *,' ------- -----------',6(' ------'))                             TGEDAT   1369
C                                                                       TGEDAT   1370
 2170 FORMAT('1',T65,'EXCITER TYPE 14 (CONTINUED)',//,' BUS #'          TGEDAT   1371
     *,' STATION NAME GID VRMAX  VRMIN  VEMIN     TD     TR     RC'     TGEDAT   1372
     *,'     XC    XDE   X''DE    KRB    TRB VFELIM  VAMAX  VAMIN'      TGEDAT   1373
     *,'     KH',/,' ----- ------------ --- -----',14(1X,6('-')))       TGEDAT   1374
C                                                                       TGEDAT   1375
 2180 FORMAT('1',T65,'EXCITER TYPE 14 (CONTINUED)',//,' BUS #'          TGEDAT   1376
     *,' STATION NAME GID VHMAX  VJMAX   RAMP   RMAX   RMIN',/          TGEDAT   1377
     *,' ----- ------------ --- -----',4(1X,6('-')))                    TGEDAT   1378
C                                                                       TGEDAT   1379
 2190 FORMAT('1',T59,'EXCITER TYPE 15',//,4X,'GENERATOR BUS',11X        TGEDAT   1380
     *,'SENSING BUS',/,' BUS # STATION NAME GID BUS # BUS NAME    '     TGEDAT   1381
     *,'    KA      TA     KF     TF    TF1    TF2     TB  VRMAX  VRMIN'TGEDAT   1382
     *,' EFDMAX EFDMIN     TR',/,2(' ----- ------------ ---'),'---'     TGEDAT   1383
     *,11(1X,6('-')))                                                   TGEDAT   1384
C                                                                       TGEDAT   1385
 2191 FORMAT('1',T65,'EXCITER TYPE 15 (CONTINUED)',//,' BUS #'          TGEDAT   1386
     *,' STATION NAME GID    RC     XC',/                               TGEDAT   1387
     *,' ----- ------------ --- ----- ------')                          TGEDAT   1388
C                                                                       TGEDAT   1389
 2200 FORMAT('1',T35,'EXCITER TYPE 30 (WSCC TYPE FG, FJ OR FK, IEEE'    TGEDAT   1390
     *,' TYPE AC4A OR ST1A)',//,4X,'GENERATOR BUS',11X,'SENSING BUS',/  TGEDAT   1391
     *,' BUS # STATION NAME GID BUS # BUS NAME     LVUEL     KA     TA' TGEDAT   1392
     *,'     TC     TB     KF     TF    TF1    TF2  VRMAX  VRMIN    ETV'TGEDAT   1393
     *,'    KVF',/,2(' ----- ------------ ---'),'--',12(1X,6('-')))     TGEDAT   1394
C                                                                       TGEDAT   1395
 2210 FORMAT('1',T29,'EXCITER TYPE 30 (WSCC TYPE FG, FJ OR FK, IEEE'    TGEDAT   1396
     *,' TYPE AC4A OR ST1A) (CONTINUED)',//,' BUS # STATION NAME GID'   TGEDAT   1397
     *,' ETMIN   KIFL  IFLMT     TR     RC     XC   KETL    TL1    TL2' TGEDAT   1398
     *,'  ETLMT   VOMX  VSMAX  VSMIN  VIMAX  VIMIN',/                   TGEDAT   1399
     *,' ----- ------------ --- -----',14(1X,6('-')))                   TGEDAT   1400
C                                                                       TGEDAT   1401
 2220 FORMAT('1',T59,'EXCITER TYPE 31',//,4X,'GENERATOR BUS',11X        TGEDAT   1402
     *,'SENSING BUS',/,' BUS # STATION NAME GID BUS # BUS NAME    '     TGEDAT   1403
     *,'     KA  VAMAX     TC     TB PHIMAX PHIMIN  VSMAX  VSMIN  VRMAX'TGEDAT   1404
     *,'  VRMIN    KVF  ETMIN',/,2(' ----- ------------ ---'),'---'     TGEDAT   1405
     *,11(1X,6('-')))                                                   TGEDAT   1406
C                                                                       TGEDAT   1407
 2230 FORMAT('1',T65,'EXCITER TYPE 31 (CONTINUED)',//,' BUS #'          TGEDAT   1408
     *,' STATION NAME GID  KIFL  IFLMT     TR     RC     XC   KETL'     TGEDAT   1409
     *,'    TL1    TL2  ETLMT   VOMX',/,' ----- ------------ --- -----' TGEDAT   1410
     *,9(1X,6('-')))                                                    TGEDAT   1411
C                                                                       TGEDAT   1412
 2240 FORMAT('1',T59,'EXCITER TYPE 32',//,4X,'GENERATOR BUS',11X        TGEDAT   1413
     *,'SENSING BUS',/,' BUS # STATION NAME GID BUS # BUS NAME    '     TGEDAT   1414
     *,'     KA     TA     TC     TB     KF     TF    TF1    TF2  VRMAX'TGEDAT   1415
     *,'  VRMIN    ETV    KVF',/,2(' ----- ------------ ---'),'---'     TGEDAT   1416
     *,11(1X,6('-')))                                                   TGEDAT   1417
C                                                                       TGEDAT   1418
 2250 FORMAT('1',T53,'EXCITER TYPE 32 (CONTINUED)',//,' BUS #'          TGEDAT   1419
     *,' STATION NAME GID ETMIN   KIFL  IFLMT     TR     RC     XC'     TGEDAT   1420
     *,'   KETL    TL1    TL2  ETLMT LIMOUT  VIMAX  VIMIN  VTMAX  VTMIN'TGEDAT   1421
     *,/,' ----- ------------ --- -----',14(1X,6('-')))                 TGEDAT   1422
C                                                                       TGEDAT   1423
 2260 FORMAT('1',T53,'EXCITER TYPE 32 (CONTINUED)',//,' BUS #'          TGEDAT   1424
     *,' STATION NAME GID  VOMX   VOMN   ACON   BCON  VSMAX  VSMIN',/   TGEDAT   1425
     *,' ----- ------------ --- -----',5(1X,6('-')))                    TGEDAT   1426
C                                                                       TGEDAT   1427
 2270 FORMAT('1',T59,'EXCITER TYPE 34',//,4X,'GENERATOR BUS',11X        TGEDAT   1428
     *,'SENSING BUS',/,' BUS # STATION NAME GID BUS # BUS NAME    '     TGEDAT   1429
     *,' LVUEL LVOEL   LVS     KA     TA     KF     TF  VIMAX  VIMIN'   TGEDAT   1430
     *,'     TC     TB    TC1    TB1',/,2(' ----- ------------ ---')    TGEDAT   1431
     *,'--',2(' -----'),10(1X,6('-')))                                  TGEDAT   1432
 2280 FORMAT('1',T53,'EXCITER TYPE 34 (CONTINUED)',//,' BUS #'          TGEDAT   1433
     *,' STATION NAME GID VAMAX  VAMIN  VRMAX  VRMIN     KC     TR'     TGEDAT   1434
     *,'     RC     XC    KLR    ILR',/,' ----- ------------ --- -----' TGEDAT   1435
     *,9(1X,6('-')))                                                    TGEDAT   1436
C                                                                       TGEDAT   1437
 2310 FORMAT('1',T54,'CROWBAR TYPE  2',//                               TGEDAT   1438
     *,' BUS # STATION NAME GID      CFD      CRES',/                   TGEDAT   1439
     *,' ----- ',12('-'),' --- -------- ---------')                     TGEDAT   1440
 2320 FORMAT('1',T54,'CROWBAR TYPE  3',//                               TGEDAT   1441
     *,' BUS # STATION NAME GID      CFD      CRES  NRES       EXP'     TGEDAT   1442
     *,/,' ----- ',12('-'),' --- -------- --------- ----- ---------')   TGEDAT   1443
 2330 FORMAT(I6,1X,3A4,1X,A2,2F10.4,I6,F10.4)                           TGEDAT   1444
C                                                                       TGEDAT   1445
 2290 FORMAT('  BUS#: ',I5,' STATION NAME: ',3A4,' GID: ',A2,/)         TGEDAT   1446
 2300 FORMAT('1',T50,'USER DEFINED EXCITER MODEL DATA',/)               TGEDAT   1447
C                                                                       TGEDAT   1448
      ENTRY TSTDAT(IUX)                                                 TGEDAT   1449
CD                                                                      TGEDAT   1450
CD    TO TABULATE STABILIZER DATA.                                      TGEDAT   1451
CD                                                                      TGEDAT   1452
C                                                                       TGEDAT   1453
C     PRINT ALL TYPE 1 STABILIZER                                       TGEDAT   1454
C                                                                       TGEDAT   1455
      ASSIGN 3010 TO IFTIL1                                             TGEDAT   1456
      ASSIGN 300 TO I460                                                TGEDAT   1457
      KSTABN=1                                                          TGEDAT   1458
      I1A=3                                                             TGEDAT   1459
      I1B=11                                                            TGEDAT   1460
      I1C=12                                                            TGEDAT   1461
      I1D=14                                                            TGEDAT   1462
C                                                                       TGEDAT   1463
      L2=.FALSE.                                                        TGEDAT   1464
      L3=.FALSE.                                                        TGEDAT   1465
      GOTO 460                                                          TGEDAT   1466
C                                                                       TGEDAT   1467
 300  CONTINUE                                                          TGEDAT   1468
C                                                                       TGEDAT   1469
C     PRINT ALL TYPE 2 STABILIZER                                       TGEDAT   1470
C                                                                       TGEDAT   1471
      ASSIGN 3010 TO IFTIL1                                             TGEDAT   1472
      ASSIGN 3040 TO IFTIL2                                             TGEDAT   1473
      ASSIGN 310 TO I460                                                TGEDAT   1474
      KSTABN=2                                                          TGEDAT   1475
      I1A=3                                                             TGEDAT   1476
      I1B=11                                                            TGEDAT   1477
      I1C=12                                                            TGEDAT   1478
      I1D=14                                                            TGEDAT   1479
      I2A=15                                                            TGEDAT   1480
      I2B=21                                                            TGEDAT   1481
      I2C=22                                                            TGEDAT   1482
      I2D=22                                                            TGEDAT   1483
C                                                                       TGEDAT   1484
      L2=.TRUE.                                                         TGEDAT   1485
      L3=.FALSE.                                                        TGEDAT   1486
      GOTO 460                                                          TGEDAT   1487
C                                                                       TGEDAT   1488
 310  CONTINUE                                                          TGEDAT   1489
C                                                                       TGEDAT   1490
C     PRINT ALL TYPE 3 STABILIZER                                       TGEDAT   1491
C                                                                       TGEDAT   1492
      ASSIGN 3010 TO IFTIL1                                             TGEDAT   1493
      ASSIGN 3040 TO IFTIL2                                             TGEDAT   1494
      ASSIGN 320 TO I460                                                TGEDAT   1495
      KSTABN=3                                                          TGEDAT   1496
      I1A=3                                                             TGEDAT   1497
      I1B=11                                                            TGEDAT   1498
      I1C=12                                                            TGEDAT   1499
      I1D=14                                                            TGEDAT   1500
      I2A=15                                                            TGEDAT   1501
      I2B=21                                                            TGEDAT   1502
      I2C=22                                                            TGEDAT   1503
      I2D=22                                                            TGEDAT   1504
C                                                                       TGEDAT   1505
      L2=.TRUE.                                                         TGEDAT   1506
      L3=.FALSE.                                                        TGEDAT   1507
      GOTO 460                                                          TGEDAT   1508
C                                                                       TGEDAT   1509
 320  CONTINUE                                                          TGEDAT   1510
C                                                                       TGEDAT   1511
C     PRINT ALL TYPE 4 STABILIZER                                       TGEDAT   1512
C                                                                       TGEDAT   1513
      ASSIGN 3010 TO IFTIL1                                             TGEDAT   1514
      ASSIGN 330 TO I460                                                TGEDAT   1515
      KSTABN=4                                                          TGEDAT   1516
      I1A=3                                                             TGEDAT   1517
      I1B=11                                                            TGEDAT   1518
      I1C=12                                                            TGEDAT   1519
      I1D=14                                                            TGEDAT   1520
C                                                                       TGEDAT   1521
      L2=.FALSE.                                                        TGEDAT   1522
      L3=.FALSE.                                                        TGEDAT   1523
      GOTO 460                                                          TGEDAT   1524
C                                                                       TGEDAT   1525
 330  CONTINUE                                                          TGEDAT   1526
C                                                                       TGEDAT   1527
C     PRINT ALL TYPE 5 STABILIZER                                       TGEDAT   1528
C                                                                       TGEDAT   1529
      ASSIGN 3010 TO IFTIL1                                             TGEDAT   1530
      ASSIGN 3040 TO IFTIL2                                             TGEDAT   1531
      ASSIGN 340 TO I460                                                TGEDAT   1532
      KSTABN=5                                                          TGEDAT   1533
      I1A=3                                                             TGEDAT   1534
      I1B=11                                                            TGEDAT   1535
      I1C=12                                                            TGEDAT   1536
      I1D=14                                                            TGEDAT   1537
      I2A=15                                                            TGEDAT   1538
      I2B=21                                                            TGEDAT   1539
      I2C=22                                                            TGEDAT   1540
      I2D=22                                                            TGEDAT   1541
C                                                                       TGEDAT   1542
      L2=.TRUE.                                                         TGEDAT   1543
      L3=.FALSE.                                                        TGEDAT   1544
      GOTO 460                                                          TGEDAT   1545
C                                                                       TGEDAT   1546
 340  CONTINUE                                                          TGEDAT   1547
C                                                                       TGEDAT   1548
C     PRINT ALL TYPE 6 STABILIZER                                       TGEDAT   1549
C                                                                       TGEDAT   1550
      ASSIGN 3010 TO IFTIL1                                             TGEDAT   1551
      ASSIGN 3040 TO IFTIL2                                             TGEDAT   1552
      ASSIGN 350 TO I460                                                TGEDAT   1553
      KSTABN=6                                                          TGEDAT   1554
      I1A=3                                                             TGEDAT   1555
      I1B=11                                                            TGEDAT   1556
      I1C=12                                                            TGEDAT   1557
      I1D=14                                                            TGEDAT   1558
      I2A=15                                                            TGEDAT   1559
      I2B=21                                                            TGEDAT   1560
      I2C=22                                                            TGEDAT   1561
      I2D=22                                                            TGEDAT   1562
C                                                                       TGEDAT   1563
      L2=.TRUE.                                                         TGEDAT   1564
      L3=.FALSE.                                                        TGEDAT   1565
      GOTO 460                                                          TGEDAT   1566
C                                                                       TGEDAT   1567
 350  CONTINUE                                                          TGEDAT   1568
C                                                                       TGEDAT   1569
C     PRINT ALL TYPE 7 STABILIZER                                       TGEDAT   1570
C                                                                       TGEDAT   1571
C                                                                       TGEDAT   1572
C 360  CONTINUE                                                         TGEDAT   1573
C                                                                       TGEDAT   1574
C     PRINT ALL TYPE 8 STABILIZER                                       TGEDAT   1575
C                                                                       TGEDAT   1576
C 370  CONTINUE                                                         TGEDAT   1577
C                                                                       TGEDAT   1578
C     PRINT ALL TYPE 9 STABILIZER                                       TGEDAT   1579
C                                                                       TGEDAT   1580
      ASSIGN 3050 TO IFTIL1                                             TGEDAT   1581
      ASSIGN 3060 TO IFTIL2                                             TGEDAT   1582
      ASSIGN 380 TO I460                                                TGEDAT   1583
      KSTABN=9                                                          TGEDAT   1584
      I1A=7                                                             TGEDAT   1585
      I1B=13                                                            TGEDAT   1586
      I1C=14                                                            TGEDAT   1587
      I1D=14                                                            TGEDAT   1588
      I2A=15                                                            TGEDAT   1589
      I2B=25                                                            TGEDAT   1590
      I2C=26                                                            TGEDAT   1591
      I2D=29                                                            TGEDAT   1592
C                                                                       TGEDAT   1593
      L2=.TRUE.                                                         TGEDAT   1594
      L3=.FALSE.                                                        TGEDAT   1595
      GOTO 460                                                          TGEDAT   1596
C                                                                       TGEDAT   1597
 380  CONTINUE                                                          TGEDAT   1598
C                                                                       TGEDAT   1599
C     PRINT ALL TYPE 10 STABILIZER                                      TGEDAT   1600
C                                                                       TGEDAT   1601
      ASSIGN 3080 TO IFTIL1                                             TGEDAT   1602
      ASSIGN 3090 TO IFTIL2                                             TGEDAT   1603
      ASSIGN 390 TO I460                                                TGEDAT   1604
      KSTABN=10                                                         TGEDAT   1605
      I1A=3                                                             TGEDAT   1606
      I1B=11                                                            TGEDAT   1607
      I1C=12                                                            TGEDAT   1608
      I1D=12                                                            TGEDAT   1609
      I2A=13                                                            TGEDAT   1610
      I2B=19                                                            TGEDAT   1611
      I2C=20                                                            TGEDAT   1612
      I2D=20                                                            TGEDAT   1613
C                                                                       TGEDAT   1614
      L2=.TRUE.                                                         TGEDAT   1615
      L3=.FALSE.                                                        TGEDAT   1616
      GOTO 460                                                          TGEDAT   1617
C                                                                       TGEDAT   1618
 390  CONTINUE                                                          TGEDAT   1619
C                                                                       TGEDAT   1620
C     PRINT ALL TYPE 11 STABILIZER                                      TGEDAT   1621
C                                                                       TGEDAT   1622
      ASSIGN 3100 TO IFTIL1                                             TGEDAT   1623
      ASSIGN 3110 TO IFTIL2                                             TGEDAT   1624
      ASSIGN 3120 TO IFTIL3                                             TGEDAT   1625
      ASSIGN 400 TO I460                                                TGEDAT   1626
      KSTABN=11                                                         TGEDAT   1627
      I1A=3                                                             TGEDAT   1628
      I1B=11                                                            TGEDAT   1629
      I1C=12                                                            TGEDAT   1630
      I1D=12                                                            TGEDAT   1631
      I2A=13                                                            TGEDAT   1632
      I2B=23                                                            TGEDAT   1633
      I2C=24                                                            TGEDAT   1634
      I2D=24                                                            TGEDAT   1635
      I3A=25                                                            TGEDAT   1636
      I3B=30                                                            TGEDAT   1637
C                                                                       TGEDAT   1638
      L2=.TRUE.                                                         TGEDAT   1639
      L3=.TRUE.                                                         TGEDAT   1640
      GOTO 460                                                          TGEDAT   1641
C                                                                       TGEDAT   1642
 400  CONTINUE                                                          TGEDAT   1643
C                                                                       TGEDAT   1644
C     PRINT ALL TYPE 12 STABILIZER                                      TGEDAT   1645
C                                                                       TGEDAT   1646
      ASSIGN 3130 TO IFTIL1                                             TGEDAT   1647
      ASSIGN 3140 TO IFTIL2                                             TGEDAT   1648
      ASSIGN 410 TO I460                                                TGEDAT   1649
      KSTABN=12                                                         TGEDAT   1650
      I1A=5                                                             TGEDAT   1651
      I1B=10                                                            TGEDAT   1652
      I1C=11                                                            TGEDAT   1653
      I1D=11                                                            TGEDAT   1654
      I2A=12                                                            TGEDAT   1655
      I2B=22                                                            TGEDAT   1656
      I2C=23                                                            TGEDAT   1657
      I2D=24                                                            TGEDAT   1658
C                                                                       TGEDAT   1659
      L2=.TRUE.                                                         TGEDAT   1660
      L3=.FALSE.                                                        TGEDAT   1661
      GOTO 460                                                          TGEDAT   1662
C                                                                       TGEDAT   1663
 410  CONTINUE                                                          TGEDAT   1664
C                                                                       TGEDAT   1665
C     PRINT ALL USER DEFINED STABILIZER MODELS                          TGEDAT   1666
C                                                                       TGEDAT   1667
      ASSIGN 3160 TO IFTIL1                                             TGEDAT   1668
      ASSIGN 420 TO I460                                                TGEDAT   1669
      KSTABN=50                                                         TGEDAT   1670
C                                                                       TGEDAT   1671
      L2=.FALSE.                                                        TGEDAT   1672
      GOTO 460                                                          TGEDAT   1673
C                                                                       TGEDAT   1674
 420  CONTINUE                                                          TGEDAT   1675
C                                                                       TGEDAT   1676
C     PRINT ALL TORSIONAL FILTER                                        TGEDAT   1677
C                                                                       TGEDAT   1678
      IL=ILDEF                                                          TGEDAT   1679
      KN=0                                                              TGEDAT   1680
      DO 430 K=1,IPNODE                                                 TGEDAT   1681
         KN=KN+3                                                        TGEDAT   1682
         NLF=NOLD(K)                                                    TGEDAT   1683
         N1=NTHG(K)                                                     TGEDAT   1684
         N2=NTHG(K+1)-1                                                 TGEDAT   1685
         DO 430 N=N1,N2                                                 TGEDAT   1686
            CKID='    '                                                 TGEDAT   1687
            CKID(1:2)=NDGC(N)(3:4)                                      TGEDAT   1688
            IFLTRN=ICONTA(6,N)                                          TGEDAT   1689
            IF(IFLTRN.NE.0)THEN                                         TGEDAT   1690
               JF=JCONTA(5,N)                                           TGEDAT   1691
C                                                                       TGEDAT   1692
               IF(IL.GE.ILDEF)THEN                                      TGEDAT   1693
                  IL=7                                                  TGEDAT   1694
                  WRITE(IUX,3600)                                       TGEDAT   1695
               ENDIF                                                    TGEDAT   1696
               WRITE(IUX,3610) NLF,INAME(KN-2),INAME(KN-1),             TGEDAT   1697
     &               INAME(KN),CKID,(DDAT(JF+LK),LK=1,10)               TGEDAT   1698
               IL=IL+1                                                  TGEDAT   1699
            ENDIF                                                       TGEDAT   1700
  430 CONTINUE                                                          TGEDAT   1701
C                                                                       TGEDAT   1702
      RETURN                                                            TGEDAT   1703
C                                                                       TGEDAT   1704
  460 CONTINUE                                                          TGEDAT   1705
C                                                                       TGEDAT   1706
C     PRINT STABILIZER DATA                                             TGEDAT   1707
C                                                                       TGEDAT   1708
      IL=ILDEF                                                          TGEDAT   1709
      KN=0                                                              TGEDAT   1710
      DO 470 K=1,IPNODE                                                 TGEDAT   1711
      KN=KN+3                                                           TGEDAT   1712
      NLF=NOLD(K)                                                       TGEDAT   1713
      N1=NTHG(K)                                                        TGEDAT   1714
      N2=NTHG(K+1)-1                                                    TGEDAT   1715
      DO 470 N=N1,N2                                                    TGEDAT   1716
      CKID='    '                                                       TGEDAT   1717
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   1718
      ISTABN=ICONTA(5,N)                                                TGEDAT   1719
      IF(ISTABN.EQ.KSTABN)THEN                                          TGEDAT   1720
         JS=JCONTA(4,N)                                                 TGEDAT   1721
C                                                                       TGEDAT   1722
         IF(KSTABN.NE.7)THEN                                            TGEDAT   1723
            NSNO1=IDDAT(JS+1)                                           TGEDAT   1724
            ITYP1=IDDAT(JS+2)                                           TGEDAT   1725
            IF(NSNO1.EQ.0) NSNO1=K                                      TGEDAT   1726
            KSNO1=NOLD(NSNO1)                                           TGEDAT   1727
            N13=NSNO1*3                                                 TGEDAT   1728
C                                                                       TGEDAT   1729
            IF(KSTABN.EQ.12)THEN                                        TGEDAT   1730
               NSNO2=IDDAT(JS+3)                                        TGEDAT   1731
               ITYP2=IDDAT(JS+4)                                        TGEDAT   1732
               IF(NSNO2.EQ.0) NSNO2=K                                   TGEDAT   1733
               KSNO2=NOLD(NSNO2)                                        TGEDAT   1734
               N23=NSNO2*3                                              TGEDAT   1735
            ENDIF                                                       TGEDAT   1736
         ENDIF                                                          TGEDAT   1737
C                                                                       TGEDAT   1738
         IF(IL.GE.ILDEF.AND.KSTABN.NE.50)THEN                           TGEDAT   1739
            IL=7                                                        TGEDAT   1740
            WRITE(IUX,IFTIL1)KSTABN                                     TGEDAT   1741
         ENDIF                                                          TGEDAT   1742
         IF(KSTABN.EQ.7) THEN                                           TGEDAT   1743
         ELSEIF(KSTABN.EQ.9) THEN                                       TGEDAT   1744
            WRITE(IUX,3001) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1745
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13),ITYP1        TGEDAT   1746
     *         ,IDDAT(JS+5),IDDAT(JS+6),(DDAT(JS+LK),LK=I1A,I1B)        TGEDAT   1747
     *         ,(DDAT(JS+LK),LK=I1C,I1D)                                TGEDAT   1748
            IL=IL+1                                                     TGEDAT   1749
         ELSEIF(KSTABN.EQ.12) THEN                                      TGEDAT   1750
            WRITE(IUX,3002) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1751
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13),ITYP1        TGEDAT   1752
     *         ,KSNO2,INAME(N23-2),INAME(N23-1),INAME(N23),ITYP2        TGEDAT   1753
     *         ,(DDAT(JS+LK),LK=I1A,I1B),(DDAT(JS+LK),LK=I1C,I1D)       TGEDAT   1754
            IL=IL+1                                                     TGEDAT   1755
         ELSEIF(KSTABN.EQ.50)THEN                                       TGEDAT   1756
            IF(IL.GE.ILDEF)THEN                                         TGEDAT   1757
               IL=7                                                     TGEDAT   1758
               WRITE(IUX,3500)                                          TGEDAT   1759
            ENDIF                                                       TGEDAT   1760
            WRITE(IUX,IFTIL1)NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID TGEDAT   1761
            JS1=JS+9                                                    TGEDAT   1762
            CALL TUDMDA(2,IUX,IL,JS1)                                   TGEDAT   1763
         ELSEIF(KSTABN.GE.1.AND.KSTABN.LE.6)THEN                        TGEDAT   1764
            WRITE(IUX,3004) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1765
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13),ITYP1        TGEDAT   1766
     *         ,(DDAT(JS+LK),LK=I1A,I1B),(DDAT(JS+LK),LK=I1C,I1D)       TGEDAT   1767
            IL=IL+1                                                     TGEDAT   1768
         ELSE                                                           TGEDAT   1769
            WRITE(IUX,3000) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   1770
     *         ,KSNO1,INAME(N13-2),INAME(N13-1),INAME(N13),ITYP1        TGEDAT   1771
     *         ,(DDAT(JS+LK),LK=I1A,I1B),(DDAT(JS+LK),LK=I1C,I1D)       TGEDAT   1772
            IL=IL+1                                                     TGEDAT   1773
         ENDIF                                                          TGEDAT   1774
      ENDIF                                                             TGEDAT   1775
  470 CONTINUE                                                          TGEDAT   1776
C                                                                       TGEDAT   1777
      IF(.NOT.L2)GOTO I460                                              TGEDAT   1778
C                                                                       TGEDAT   1779
      IL=ILDEF                                                          TGEDAT   1780
      KN=0                                                              TGEDAT   1781
      DO 480 K=1,IPNODE                                                 TGEDAT   1782
      KN=KN+3                                                           TGEDAT   1783
      NLF=NOLD(K)                                                       TGEDAT   1784
      N1=NTHG(K)                                                        TGEDAT   1785
      N2=NTHG(K+1)-1                                                    TGEDAT   1786
      DO 480 N=N1,N2                                                    TGEDAT   1787
      CKID='    '                                                       TGEDAT   1788
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   1789
      ISTABN=ICONTA(5,N)                                                TGEDAT   1790
      IF(ISTABN.EQ.KSTABN)THEN                                          TGEDAT   1791
      JS=JCONTA(4,N)                                                    TGEDAT   1792
      IF(IL.GE.ILDEF)THEN                                               TGEDAT   1793
      IL=7                                                              TGEDAT   1794
      WRITE(IUX,IFTIL2)KSTABN                                           TGEDAT   1795
      ENDIF                                                             TGEDAT   1796
      WRITE(IUX,3005) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT   1797
     &,(DDAT(JS+LK),LK=I2A,I2B)                                         TGEDAT   1798
     &,(DDAT(JS+LK),LK=I2C,I2D)                                         TGEDAT   1799
      IL=IL+1                                                           TGEDAT   1800
      ENDIF                                                             TGEDAT   1801
  480 CONTINUE                                                          TGEDAT   1802
C                                                                       TGEDAT   1803
      IF(.NOT.L3)GOTO I460                                              TGEDAT   1804
C                                                                       TGEDAT   1805
      IL=ILDEF                                                          TGEDAT   1806
      KN=0                                                              TGEDAT   1807
      DO 490 K=1,IPNODE                                                 TGEDAT   1808
      KN=KN+3                                                           TGEDAT   1809
      NLF=NOLD(K)                                                       TGEDAT   1810
      N1=NTHG(K)                                                        TGEDAT   1811
      N2=NTHG(K+1)-1                                                    TGEDAT   1812
      DO 490 N=N1,N2                                                    TGEDAT   1813
      CKID='    '                                                       TGEDAT   1814
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   1815
      ISTABN=ICONTA(5,N)                                                TGEDAT   1816
      IF(ISTABN.EQ.KSTABN)THEN                                          TGEDAT   1817
      JS=JCONTA(4,N)                                                    TGEDAT   1818
      IF(IL.GE.ILDEF)THEN                                               TGEDAT   1819
      IL=7                                                              TGEDAT   1820
      WRITE(IUX,IFTIL3)KSTABN                                           TGEDAT   1821
      ENDIF                                                             TGEDAT   1822
      WRITE(IUX,3005) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT   1823
     &,(DDAT(JS+LK),LK=I3A,I3B)                                         TGEDAT   1824
      IL=IL+1                                                           TGEDAT   1825
      ENDIF                                                             TGEDAT   1826
  490 CONTINUE                                                          TGEDAT   1827
C                                                                       TGEDAT   1828
      GOTO I460                                                         TGEDAT   1829
C                                                                       TGEDAT   1830
 3000 FORMAT(I6,1X,3A4,1X,A2,I9,1X,3A4,I5,2X,10F7.2)                    TGEDAT   1831
 3001 FORMAT(I6,1X,3A4,1X,A2,I9,1X,3A4,I6,1X,2I7,8F7.2)                 TGEDAT   1832
 3002 FORMAT(I6,1X,3A4,1X,A2,2(I7,1X,3A4,I4),1X,7F7.2)                  TGEDAT   1833
 3004 FORMAT(I6,1X,3A4,1X,A2,I7,1X,3A4,I4,1X,8F7.2,F7.3,3F7.2)          TGEDAT   1834
 3005 FORMAT(I6,1X,3A4,1X,A2,1X,15F7.2)                                 TGEDAT   1835
C                                                                       TGEDAT   1836
 3010 FORMAT('1',T51,'STABILIZER TYPE',I3,//,4X,'GENERATOR BUS',10X     TGEDAT   1837
     *,'SENSING BUS    INPUT',/,' BUS # STATION NAME GID BUS # BUS NAME'TGEDAT   1838
     *,'     TYPE     KS     T5     T1     T2     T3     T4  VSMAX'     TGEDAT   1839
     *,'  VSMIN     TF     RC     XC   PTHR',/                          TGEDAT   1840
     *,2(' ----- ------------ ---'),'-',12(' ------'))                  TGEDAT   1841
C                                                                       TGEDAT   1842
 3040 FORMAT('1',T45,'STABILIZER TYPE',I3,' (CONTINUED)',//             TGEDAT   1843
     *,' BUS # STATION NAME GID   KANG   TANG  DWTHR   ETHR  VS3MX'     TGEDAT   1844
     *,'  VS3MN  VANGM VANGMX',/,' ----- ------------ ---',8(' ------'))TGEDAT   1845
C                                                                       TGEDAT   1846
 3050 FORMAT('1',T51,'STABILIZER TYPE ',I2,//,4X,'GENERATOR BUS',11X    TGEDAT   1847
     *,'SENSING BUS',7X,'INPUT',/,' BUS # STATION NAME GID   BUS #'     TGEDAT   1848
     *,' BUS NAME      TYPE       N      M    T11    T12     T1     T2' TGEDAT   1849
     *,'     T3     T4  VSMAX  VSMIN',/,' ----- ------------ ---'       TGEDAT   1850
     *,'   ----- ------------  ---- ',10(1X,6('-')))                    TGEDAT   1851
C                                                                       TGEDAT   1852
 3060 FORMAT('1',T45,'STABILIZER TYPE',I3,' (CONTINUED)',//             TGEDAT   1853
     *,' BUS # STATION NAME GID    KS1     T5     T6     T7    KS2'     TGEDAT   1854
     *,'     T8     T9    T10    KS3    TFD    TFG     TF     RC     XC'TGEDAT   1855
     *,'   PTHR',/,' ----- ------------ ---',15(' ------'))             TGEDAT   1856
C                                                                       TGEDAT   1857
 3080 FORMAT('1',T44,'STABILIZER TYPE',I3,' (WSCC TYPE SS, SP OR SF)',//TGEDAT   1858
     &,4X,'GENERATOR BUS',11X,'SENSING BUS',6X,'INPUT',                 TGEDAT   1859
     &/,1X,'BUS #',1X,'STATION NAME',1X,'GID',3X,'BUS #',1X,'BUS NAME', TGEDAT   1860
     &6X,'TYPE',5X,'KQS',4X,'TQS',4X,'KQV',4X,'TQV',5X,'TQ',3X,'T''Q1', TGEDAT   1861
     &4X,'TQ1',3X,'T''Q2',4X,'TQ2',3X,'T''Q3',/,                        TGEDAT   1862
     &1X,5('-'),1X,12('-'),1X,3('-'),3X,5('-'),1X,12('-'),2X,4('-'),    TGEDAT   1863
     &2X,10(1X,6('-')))                                                 TGEDAT   1864
C                                                                       TGEDAT   1865
 3090 FORMAT('1',T39,'STABILIZER TYPE',I3,' (WSCC TYPE SS, SP OR SF)'   TGEDAT   1866
     *,' (CONTINUED)',/,/,' BUS # STATION NAME GID    TQ3  VSMAX'       TGEDAT   1867
     *,'  VSMIN     VC     TF     RC     XC   PTHR',/                   TGEDAT   1868
     *,' ----- ------------ ---',8(' ------'))                          TGEDAT   1869
C                                                                       TGEDAT   1870
 3100 FORMAT('1',T51,'STABILIZER TYPE ',I2,//,4X,'GENERATOR BUS',11X    TGEDAT   1871
     *,'SENSING BUS      INPUT',/,' BUS # STATION NAME GID   BUS #'     TGEDAT   1872
     *,' BUS NAME      TYPE     KQS    TQS    KQV    TQV     TQ   T''Q1'TGEDAT   1873
     *,4X,'TQ1   T''Q2    TQ2   T''Q3',/,' ----- ------------ ---'      TGEDAT   1874
     *,'    ----- ------------  ---- ',10(1X,6('-')))                   TGEDAT   1875
C                                                                       TGEDAT   1876
 3110 FORMAT('1',T45,'STABILIZER TYPE',I3,' (CONTINUED)',//             TGEDAT   1877
     *,' BUS # STATION NAME GID    TQ3  VSMAX  VSMIN     VC   K''QS'    TGEDAT   1878
     *,'      K     T1     T2     T3     T4  DELW1  DELW2    DWT     TF'TGEDAT   1879
     *,'     RC',/,' ----- ',12('-'),' ---',15(' ------'))              TGEDAT   1880
C                                                                       TGEDAT   1881
 3120 FORMAT('1',T45,'STABILIZER TYPE',I3,' (CONTINUED)',//             TGEDAT   1882
     *,' BUS # STATION NAME GID     XC TDELAY   PTHR',/                 TGEDAT   1883
     &,' ----- ------------ --- ------ ------ ------')                  TGEDAT   1884
C                                                                       TGEDAT   1885
 3130 FORMAT('1',T51,'STABILIZER TYPE',I3,//,6X,'GENERATOR BUS',8X      TGEDAT   1886
     *,'SENSING BUS 1  INPUT    SENSING BUS 2  INPUT',/,' BUS #'        TGEDAT   1887
     *,' STATION NAME GID',2(' BUS # BUS NAME     TYPE')                TGEDAT   1888
     *,'     K1     T1     K2     T2   T''Q0    TQ0   T''Q1',/          TGEDAT   1889
     *,' ----- ------------ ---',2(' ----- ------------ ----')          TGEDAT   1890
     *,7(' ------'))                                                    TGEDAT   1891
C                                                                       TGEDAT   1892
 3140 FORMAT('1',T45,'STABILIZER TYPE',I3,' (CONTINUED)',//             TGEDAT   1893
     *,' BUS # STATION NAME GID    TQ1   T''Q2    TQ2   T''Q3    TQ3'   TGEDAT   1894
     *,'  VSMAX  VSMIN     TF     RC     XC    VCU    VCL   PTHR',/     TGEDAT   1895
     *,' ----- ------------ ---',13(' ------'))                         TGEDAT   1896
C                                                                       TGEDAT   1897
 3160 FORMAT('  BUS#:',I5,'  STATION NAME: ',3A4,'  GID: ',A2,/)        TGEDAT   1898
C                                                                       TGEDAT   1899
 3500 FORMAT('1',T50,'USER DEFINED STABILIZER MODEL DATA',/)            TGEDAT   1900
 3600 FORMAT('1',T51,'TORSIONAL FILTER ',//,' BUS # STATION NAME GID'   TGEDAT   1901
     *,5X,'T6',9X,'A5',9X,'A3',9X,'A6',9X,'A4',9X,'A1',9X,'A2',9X,'A0'  TGEDAT   1902
     *,'  VSMAX  VSMIN',/,' ----- ------------ --- ------'              TGEDAT   1903
     *,7(' ----------'),2(' ------'))                                   TGEDAT   1904
 3610 FORMAT(I6,1X,3A4,1X,A2,F8.3,7F11.6,F7.3,F7.2)                     TGEDAT   1905
C                                                                       TGEDAT   1906
       ENTRY TGODAT(IUX)                                                TGEDAT   1907
CD                                                                      TGEDAT   1908
CD     TO TABULATE GOVERNOR DATA.                                       TGEDAT   1909
CD                                                                      TGEDAT   1910
C                                                                       TGEDAT   1911
C     PRINT ALL TYPE 1 GOVERNOR                                         TGEDAT   1912
C                                                                       TGEDAT   1913
C 500  CONTINUE                                                         TGEDAT   1914
C                                                                       TGEDAT   1915
C     PRINT ALL TYPE 2 GOVERNOR                                         TGEDAT   1916
C                                                                       TGEDAT   1917
C 510  CONTINUE                                                         TGEDAT   1918
C                                                                       TGEDAT   1919
C     PRINT ALL TYPE 3 GOVERNOR                                         TGEDAT   1920
C                                                                       TGEDAT   1921
C 520  CONTINUE                                                         TGEDAT   1922
C                                                                       TGEDAT   1923
C     PRINT ALL TYPE 4 GOVERNOR                                         TGEDAT   1924
C                                                                       TGEDAT   1925
      ASSIGN 4020 TO IFTIL1                                             TGEDAT   1926
      ASSIGN 530 TO I660                                                TGEDAT   1927
      KGVN=4                                                            TGEDAT   1928
      I1A=1                                                             TGEDAT   1929
      I1B=7                                                             TGEDAT   1930
      I1C=9                                                             TGEDAT   1931
      I1D=16                                                            TGEDAT   1932
C                                                                       TGEDAT   1933
      L2=.FALSE.                                                        TGEDAT   1934
      L3=.FALSE.                                                        TGEDAT   1935
      GOTO 660                                                          TGEDAT   1936
C                                                                       TGEDAT   1937
 530  CONTINUE                                                          TGEDAT   1938
C                                                                       TGEDAT   1939
C     PRINT ALL TYPE 5 GOVERNOR                                         TGEDAT   1940
C                                                                       TGEDAT   1941
      ASSIGN 4030 TO IFTIL1                                             TGEDAT   1942
      ASSIGN 540 TO I660                                                TGEDAT   1943
      KGVN=5                                                            TGEDAT   1944
      I1A=1                                                             TGEDAT   1945
      I1B=1                                                             TGEDAT   1946
      I1C=2                                                             TGEDAT   1947
      I1D=3                                                             TGEDAT   1948
C                                                                       TGEDAT   1949
      L2=.FALSE.                                                        TGEDAT   1950
      L3=.FALSE.                                                        TGEDAT   1951
      GOTO 660                                                          TGEDAT   1952
C                                                                       TGEDAT   1953
 540  CONTINUE                                                          TGEDAT   1954
C                                                                       TGEDAT   1955
C     PRINT ALL TYPE 6 GOVERNOR                                         TGEDAT   1956
C                                                                       TGEDAT   1957
      ASSIGN 4040 TO IFTIL1                                             TGEDAT   1958
      ASSIGN 550 TO I660                                                TGEDAT   1959
      KGVN=6                                                            TGEDAT   1960
      I1A=1                                                             TGEDAT   1961
      I1B=6                                                             TGEDAT   1962
      I1C=7                                                             TGEDAT   1963
      I1D=7                                                             TGEDAT   1964
C                                                                       TGEDAT   1965
      L2=.FALSE.                                                        TGEDAT   1966
      L3=.FALSE.                                                        TGEDAT   1967
      GOTO 660                                                          TGEDAT   1968
C                                                                       TGEDAT   1969
 550  CONTINUE                                                          TGEDAT   1970
C                                                                       TGEDAT   1971
C     PRINT ALL TYPE 7 GOVERNOR                                         TGEDAT   1972
C                                                                       TGEDAT   1973
      ASSIGN 4050 TO IFTIL1                                             TGEDAT   1974
      ASSIGN 560 TO I660                                                TGEDAT   1975
      KGVN=7                                                            TGEDAT   1976
      I1A=1                                                             TGEDAT   1977
      I1B=9                                                             TGEDAT   1978
      I1C=10                                                            TGEDAT   1979
      I1D=10                                                            TGEDAT   1980
C                                                                       TGEDAT   1981
      L2=.FALSE.                                                        TGEDAT   1982
      L3=.FALSE.                                                        TGEDAT   1983
      GOTO 660                                                          TGEDAT   1984
C                                                                       TGEDAT   1985
 560  CONTINUE                                                          TGEDAT   1986
C                                                                       TGEDAT   1987
C     PRINT ALL TYPE 8 GOVERNOR                                         TGEDAT   1988
C                                                                       TGEDAT   1989
      ASSIGN 4060 TO IFTIL1                                             TGEDAT   1990
      ASSIGN 570 TO I660                                                TGEDAT   1991
      KGVN=8                                                            TGEDAT   1992
      I1A=1                                                             TGEDAT   1993
      I1B=8                                                             TGEDAT   1994
      I1C=9                                                             TGEDAT   1995
      I1D=9                                                             TGEDAT   1996
C                                                                       TGEDAT   1997
      L2=.FALSE.                                                        TGEDAT   1998
      L3=.FALSE.                                                        TGEDAT   1999
      GOTO 660                                                          TGEDAT   2000
C                                                                       TGEDAT   2001
 570  CONTINUE                                                          TGEDAT   2002
C                                                                       TGEDAT   2003
C     PRINT ALL TYPE 20 GOVERNOR                                        TGEDAT   2004
C                                                                       TGEDAT   2005
      ASSIGN 4070 TO IFTIL1                                             TGEDAT   2006
      ASSIGN 580 TO I660                                                TGEDAT   2007
      KGVN=20                                                           TGEDAT   2008
      I1A=1                                                             TGEDAT   2009
      I1B=13                                                            TGEDAT   2010
      I1C=14                                                            TGEDAT   2011
      I1D=14                                                            TGEDAT   2012
C                                                                       TGEDAT   2013
      L2=.FALSE.                                                        TGEDAT   2014
      L3=.FALSE.                                                        TGEDAT   2015
      GOTO 660                                                          TGEDAT   2016
C                                                                       TGEDAT   2017
 580  CONTINUE                                                          TGEDAT   2018
C                                                                       TGEDAT   2019
C     PRINT ALL TYPE 21 GOVERNOR                                        TGEDAT   2020
C                                                                       TGEDAT   2021
      ASSIGN 4080 TO IFTIL1                                             TGEDAT   2022
      ASSIGN 590 TO I660                                                TGEDAT   2023
      KGVN=21                                                           TGEDAT   2024
      I1A=1                                                             TGEDAT   2025
      I1B=10                                                            TGEDAT   2026
      I1C=11                                                            TGEDAT   2027
      I1D=11                                                            TGEDAT   2028
C                                                                       TGEDAT   2029
      L2=.FALSE.                                                        TGEDAT   2030
      L3=.FALSE.                                                        TGEDAT   2031
      GOTO 660                                                          TGEDAT   2032
C                                                                       TGEDAT   2033
 590  CONTINUE                                                          TGEDAT   2034
C                                                                       TGEDAT   2035
C     PRINT ALL TYPE 22 GOVERNOR                                        TGEDAT   2036
C                                                                       TGEDAT   2037
      ASSIGN 4090 TO IFTIL1                                             TGEDAT   2038
      ASSIGN 600 TO I660                                                TGEDAT   2039
      KGVN=22                                                           TGEDAT   2040
      I1A=1                                                             TGEDAT   2041
      I1B=10                                                            TGEDAT   2042
      I1C=11                                                            TGEDAT   2043
      I1D=11                                                            TGEDAT   2044
C                                                                       TGEDAT   2045
      L2=.FALSE.                                                        TGEDAT   2046
      L3=.FALSE.                                                        TGEDAT   2047
      GOTO 660                                                          TGEDAT   2048
C                                                                       TGEDAT   2049
 600  CONTINUE                                                          TGEDAT   2050
C                                                                       TGEDAT   2051
C     PRINT ALL USER DEFINED GOVERNOR MODEL                             TGEDAT   2052
C                                                                       TGEDAT   2053
      ASSIGN 610 TO I660                                                TGEDAT   2054
      KGVN=50                                                           TGEDAT   2055
C                                                                       TGEDAT   2056
      L2=.FALSE.                                                        TGEDAT   2057
      GOTO 660                                                          TGEDAT   2058
C                                                                       TGEDAT   2059
 610  CONTINUE                                                          TGEDAT   2060
C                                                                       TGEDAT   2061
C      STOP 'TGODAT'                                                    TGEDAT   2062
      RETURN                                                            TGEDAT   2063
C                                                                       TGEDAT   2064
  660 CONTINUE                                                          TGEDAT   2065
C                                                                       TGEDAT   2066
C     PRINT GOVERNOR DATA                                               TGEDAT   2067
C                                                                       TGEDAT   2068
      IL=ILDEF                                                          TGEDAT   2069
      KN=0                                                              TGEDAT   2070
      DO 670 K=1,IPNODE                                                 TGEDAT   2071
      KN=KN+3                                                           TGEDAT   2072
      NLF=NOLD(K)                                                       TGEDAT   2073
      N1=NTHG(K)                                                        TGEDAT   2074
      N2=NTHG(K+1)-1                                                    TGEDAT   2075
      DO 670 N=N1,N2                                                    TGEDAT   2076
      CKID='    '                                                       TGEDAT   2077
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   2078
      IGVN=ICONTA(2,N)                                                  TGEDAT   2079
      IF(IGVN.EQ.KGVN)THEN                                              TGEDAT   2080
      JE=JCONTA(2,N)                                                    TGEDAT   2081
      HPLP='  '                                                         TGEDAT   2082
      IF(IL.GE.ILDEF.AND.IGVN.NE.50)THEN                                TGEDAT   2083
         IL=7                                                           TGEDAT   2084
         WRITE(IUX,IFTIL1)KGVN                                          TGEDAT   2085
      ENDIF                                                             TGEDAT   2086
      IF(IGVN.EQ.4) THEN                                                TGEDAT   2087
       IGVN1=ICONTA(2,N+1)                                              TGEDAT   2088
       IF(IGVN1.EQ.5)HPLP='HP'                                          TGEDAT   2089
      ENDIF                                                             TGEDAT   2090
      IF(KGVN.EQ.50)THEN                                                TGEDAT   2091
         IF(IL.GE.ILDEF)THEN                                            TGEDAT   2092
            IL=7                                                        TGEDAT   2093
            WRITE(IUX,4100)                                             TGEDAT   2094
         ENDIF                                                          TGEDAT   2095
         WRITE(IUX,4200) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID     TGEDAT   2096
         JE1=JE+3                                                       TGEDAT   2097
         CALL TUDMDA(4,IUX,IL,JE1)                                      TGEDAT   2098
      ELSEIF(HPLP.EQ.'HP') THEN                                         TGEDAT   2099
         WRITE(IUX,4010) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID     TGEDAT   2100
     &   ,(DDAT(JE+LK),LK=I1A,I1B)                                      TGEDAT   2101
     &   ,(DDAT(JE+LK),LK=I1C,I1D),HPLP                                 TGEDAT   2102
         IL=IL+1                                                        TGEDAT   2103
      ELSEIF(KGVN.EQ.20)THEN                                            TGEDAT   2104
         WRITE(IUX,4001) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID     TGEDAT   2105
     &   ,(DDAT(JE+LK),LK=I1A,I1B)                                      TGEDAT   2106
     &   ,(DDAT(JE+LK),LK=I1C,I1D)                                      TGEDAT   2107
         IL=IL+1                                                        TGEDAT   2108
      ELSE                                                              TGEDAT   2109
         WRITE(IUX,4000) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID     TGEDAT   2110
     &   ,(DDAT(JE+LK),LK=I1A,I1B)                                      TGEDAT   2111
     &   ,(DDAT(JE+LK),LK=I1C,I1D)                                      TGEDAT   2112
         IL=IL+1                                                        TGEDAT   2113
      ENDIF                                                             TGEDAT   2114
      ENDIF                                                             TGEDAT   2115
  670 CONTINUE                                                          TGEDAT   2116
C                                                                       TGEDAT   2117
      IF(.NOT.L2)GOTO I660                                              TGEDAT   2118
C                                                                       TGEDAT   2119
      IL=ILDEF                                                          TGEDAT   2120
      KN=0                                                              TGEDAT   2121
      DO 680 K=1,IPNODE                                                 TGEDAT   2122
      KN=KN+3                                                           TGEDAT   2123
      NLF=NOLD(K)                                                       TGEDAT   2124
      N1=NTHG(K)                                                        TGEDAT   2125
      N2=NTHG(K+1)-1                                                    TGEDAT   2126
      DO 680 N=N1,N2                                                    TGEDAT   2127
      CKID='    '                                                       TGEDAT   2128
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   2129
      IGVN=ICONTA(2,N)                                                  TGEDAT   2130
      IF(IGVN.EQ.KGVN)THEN                                              TGEDAT   2131
      JE=JCONTA(2,N)                                                    TGEDAT   2132
      IF(IL.GE.ILDEF)THEN                                               TGEDAT   2133
      IL=7                                                              TGEDAT   2134
      WRITE(IUX,IFTIL2)KGVN                                             TGEDAT   2135
      ENDIF                                                             TGEDAT   2136
      WRITE(IUX,4000) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT   2137
     &,(DDAT(JE+LK),LK=I2A,I2B)                                         TGEDAT   2138
     &,(DDAT(JE+LK),LK=I2C,I2D)                                         TGEDAT   2139
      IL=IL+1                                                           TGEDAT   2140
      ENDIF                                                             TGEDAT   2141
  680 CONTINUE                                                          TGEDAT   2142
C                                                                       TGEDAT   2143
      IF(.NOT.L3)GOTO I660                                              TGEDAT   2144
C                                                                       TGEDAT   2145
      IL=ILDEF                                                          TGEDAT   2146
      KN=0                                                              TGEDAT   2147
      DO 690 K=1,IPNODE                                                 TGEDAT   2148
      KN=KN+3                                                           TGEDAT   2149
      NLF=NOLD(K)                                                       TGEDAT   2150
      N1=NTHG(K)                                                        TGEDAT   2151
      N2=NTHG(K+1)-1                                                    TGEDAT   2152
      DO 690 N=N1,N2                                                    TGEDAT   2153
      CKID='    '                                                       TGEDAT   2154
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   2155
      IGVN=ICONTA(2,N)                                                  TGEDAT   2156
      IF(IGVN.EQ.KGVN)THEN                                              TGEDAT   2157
      JE=JCONTA(2,N)                                                    TGEDAT   2158
      IF(IL.GE.ILDEF)THEN                                               TGEDAT   2159
      IL=7                                                              TGEDAT   2160
      WRITE(IUX,IFTIL2)KGVN                                             TGEDAT   2161
      ENDIF                                                             TGEDAT   2162
      WRITE(IUX,4000) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID        TGEDAT   2163
     &,(DDAT(JE+LK),LK=I3A,I3B)                                         TGEDAT   2164
      IL=IL+1                                                           TGEDAT   2165
      ENDIF                                                             TGEDAT   2166
  690 CONTINUE                                                          TGEDAT   2167
C                                                                       TGEDAT   2168
      GOTO I660                                                         TGEDAT   2169
C                                                                       TGEDAT   2170
 4000 FORMAT(I6,1X,3A4,1X,A2,10F7.3,F7.2,4F7.3)                         TGEDAT   2171
 4001 FORMAT(I6,1X,3A4,1X,A2,F9.3,9F7.3,F7.2,4F7.3)                     TGEDAT   2172
 4010 FORMAT(I6,1X,3A4,1X,A2,10F7.3,F7.2,4F7.3,1X,A2)                   TGEDAT   2173
C                                                                       TGEDAT   2174
 4020 FORMAT('1',T46,'GOVERNOR TYPE',I3,' (WSCC TYPE GS)',/,T44,        TGEDAT   2175
     &'IEEE LINEAR MODEL FOR THERMAL UNITS',/                           TGEDAT   2176
     &/,1X,'BUS #',1X,'STATION NAME',1X,'GID',4X,'K1',5X,'T1',5X,'T2',  TGEDAT   2177
     &5X,'T3',3X,'RMAX',3X,'RMIN',3X,'PMAX',5X,'T4',5X,'T5',5X,'T6',    TGEDAT   2178
     &5X,'T7',5X,'K2',5X,'K3',5X,'K4',5X,'K5',                          TGEDAT   2179
     &/,1X,5('-'),1X,12('-'),1X,3('-'),1X,5('-'),14(1X,6('-')))         TGEDAT   2180
C                                                                       TGEDAT   2181
 4030 FORMAT('1',T54,'GOVERNOR TYPE',I3,/                               TGEDAT   2182
     *,T44,'IEEE LINEAR MODEL LP OF THERMAL UNITS',//                   TGEDAT   2183
     *,' BUS # STATION NAME GID    K6     K7     K8',/                  TGEDAT   2184
     *,' ----- ------------ --- ----- ------ ------')                   TGEDAT   2185
C                                                                       TGEDAT   2186
 4040 FORMAT('1',T54,'GOVERNOR TYPE ',I2,/,                             TGEDAT   2187
     &/,1X,'BUS #',1X,'STATION NAME',1X,'GID',5X,'R',5X,'T1',5X,'T2',   TGEDAT   2188
     &5X,'T3',4X,'PFL',3X,'VMIN',5X,'DT',/,1X,5('-'),1X,                TGEDAT   2189
     &12('-'),1X,3('-'),1X,5('-'),6(1X,6('-')))                         TGEDAT   2190
C                                                                       TGEDAT   2191
 4050 FORMAT('1',T54,'GOVERNOR TYPE ',I2,/,                             TGEDAT   2192
     &/,1X,'BUS #',1X,'STATION NAME',1X,'GID',5X,'R',5X,'T1',5X,'T2',   TGEDAT   2193
     &5X,'T3',4X,'PFL',3X,'VMIN',5X,'DT',5X,'T4',5X,'KT',5X,'LL',       TGEDAT   2194
     &/,1X,5('-'),1X,12('-'),1X,3('-'),1X,5('-'),9(1X,6('-')))          TGEDAT   2195
C                                                                       TGEDAT   2196
 4060 FORMAT('1',T51,'GOVERNOR TYPE',I3,' (WSCC TYPE GG)',/,            TGEDAT   2197
     &/,1X,'BUS #',1X,'STATION NAME',1X,'GID',5X,'K',5X,'T1',5X,'T2',   TGEDAT   2198
     &5X,'T3',3X,'PMAX',3X,'VMIN',5X,'T4',5X,'T5',5X,'T6',              TGEDAT   2199
     &/,1X,5('-'),1X,12('-'),1X,3('-'),1X,5('-'),8(1X,6('-')))          TGEDAT   2200
C                                                                       TGEDAT   2201
 4070 FORMAT('1',T54,'GOVERNOR TYPE',I3,/,T47                           TGEDAT   2202
     *,'DETAILED HYDRO GOVERNOR MODEL',//,' BUS # STATION NAME GID'     TGEDAT   2203
     *,'       Q     RP     RT     TW     TR     TG    PFL   HEAD'      TGEDAT   2204
     *,'    GFL    GNL  MX OP  MX CL     BZ   DMXZ',/                   TGEDAT   2205
     *,' ----- ------------ --- -------',13(' ------'))                 TGEDAT   2206
C                                                                       TGEDAT   2207
 4080 FORMAT('1',T51,'GOVERNOR TYPE',I3,' (WSCC TYPE GH)',/,T47,        TGEDAT   2208
     &'DETAILED HYDRO GOVERNOR MODEL',/                                 TGEDAT   2209
     &/,' BUS # STATION NAME GID  PMAX      R     TG'                   TGEDAT   2210
     &,'     TP     TD     DD   GMAX   GMIN     TW   VELO   VELC',      TGEDAT   2211
     &/,1X,5('-'),1X,12('-'),1X,3('-'),1X,'-----',10(1X,6('-')))        TGEDAT   2212
C                                                                       TGEDAT   2213
 4090 FORMAT('1',T51,'GOVERNOR TYPE',I3,' (WSCC TYPE GW)',/,T47,        TGEDAT   2214
     &'DETAILED HYDRO GOVERNOR MODEL',/                                 TGEDAT   2215
     &/,1X,'BUS #',1X,'STATION NAME',1X,'GID',2X,'PMAX',6X,'R',5X,'T1', TGEDAT   2216
     &5X,'T2',5X,'T3',5X,'T4',3X,'GMAX',3X,'GMIN',5X,'TW',5X,'K1',5X    TGEDAT   2217
     &,'K3',                                                            TGEDAT   2218
     &/,1X,5('-'),1X,12('-'),1X,3('-'),1X,5('-'),10(1X,6('-')))         TGEDAT   2219
C                                                                       TGEDAT   2220
 4100 FORMAT('1',T50,'USER DEFINED GOVERNOR MODEL DATA',/)              TGEDAT   2221
 4200 FORMAT(1X,' BUS#: ',I5,'  STATION NAME: ',3A4,' GID: ',A2,/)      TGEDAT   2222
C                                                                       TGEDAT   2223
      ENTRY TUEDAT(IUX)                                                 TGEDAT   2224
CD                                                                      TGEDAT   2225
CD    TO TABULATE UNDER EXCITED CURRENT LIMITER DATA.                   TGEDAT   2226
CD                                                                      TGEDAT   2227
C                                                                       TGEDAT   2228
C     PRINT ALL TYPE 1 LIMITER                                          TGEDAT   2229
C                                                                       TGEDAT   2230
      ASSIGN 5010 TO IFTIL1                                             TGEDAT   2231
      ASSIGN 700 TO I800                                                TGEDAT   2232
      KUAL=1                                                            TGEDAT   2233
      I1A=1                                                             TGEDAT   2234
      I1B=4                                                             TGEDAT   2235
      I1C=5                                                             TGEDAT   2236
      I1D=7                                                             TGEDAT   2237
      I1E=9                                                             TGEDAT   2238
      I1F=16                                                            TGEDAT   2239
      GOTO 800                                                          TGEDAT   2240
C                                                                       TGEDAT   2241
 700  CONTINUE                                                          TGEDAT   2242
C                                                                       TGEDAT   2243
C     PRINT ALL TYPE 2 LIMITER                                          TGEDAT   2244
C                                                                       TGEDAT   2245
      ASSIGN 5030 TO IFTIL1                                             TGEDAT   2246
      ASSIGN 710 TO I800                                                TGEDAT   2247
      KUAL=2                                                            TGEDAT   2248
      I1A=1                                                             TGEDAT   2249
      I1B=5                                                             TGEDAT   2250
      I1C=7                                                             TGEDAT   2251
      I1D=7                                                             TGEDAT   2252
      I1E=9                                                             TGEDAT   2253
      I1F=16                                                            TGEDAT   2254
      GOTO 800                                                          TGEDAT   2255
C                                                                       TGEDAT   2256
 710  CONTINUE                                                          TGEDAT   2257
C                                                                       TGEDAT   2258
C     PRINT ALL TYPE 3 LIMITER                                          TGEDAT   2259
C                                                                       TGEDAT   2260
      ASSIGN 5050 TO IFTIL1                                             TGEDAT   2261
      ASSIGN 720 TO I800                                                TGEDAT   2262
      KUAL=3                                                            TGEDAT   2263
      I1A=1                                                             TGEDAT   2264
      I1B=4                                                             TGEDAT   2265
      I1C=5                                                             TGEDAT   2266
      I1D=6                                                             TGEDAT   2267
      I1E=9                                                             TGEDAT   2268
      I1F=14                                                            TGEDAT   2269
      GOTO 800                                                          TGEDAT   2270
C                                                                       TGEDAT   2271
 720  CONTINUE                                                          TGEDAT   2272
C                                                                       TGEDAT   2273
C     PRINT ALL USER DEFINED LIMITER MODEL                              TGEDAT   2274
C                                                                       TGEDAT   2275
      ASSIGN 760 TO I800                                                TGEDAT   2276
      KUAL=50                                                           TGEDAT   2277
      GOTO 800                                                          TGEDAT   2278
C                                                                       TGEDAT   2279
 760  CONTINUE                                                          TGEDAT   2280
C                                                                       TGEDAT   2281
      ASSIGN 770 TO I800                                                TGEDAT   2282
      KUAL=60                                                           TGEDAT   2283
      GOTO 800                                                          TGEDAT   2284
C                                                                       TGEDAT   2285
 770  CONTINUE                                                          TGEDAT   2286
C                                                                       TGEDAT   2287
C                                                                       TGEDAT   2288
C     PRINT ALL MAX EXCITER CURRENT LIMITER                             TGEDAT   2289
C                                                                       TGEDAT   2290
      IL=ILDEF                                                          TGEDAT   2291
      KN=0                                                              TGEDAT   2292
      DO 780 K=1,IPNODE                                                 TGEDAT   2293
         KN=KN+3                                                        TGEDAT   2294
         NLF=NOLD(K)                                                    TGEDAT   2295
         N1=NTHG(K)                                                     TGEDAT   2296
         N2=NTHG(K+1)-1                                                 TGEDAT   2297
         DO 780 N=N1,N2                                                 TGEDAT   2298
            CKID='    '                                                 TGEDAT   2299
            CKID(1:2)=NDGC(N)(3:4)                                      TGEDAT   2300
            IMXLN=ICONTA(12,N)                                          TGEDAT   2301
            IF(IMXLN.NE.0)THEN                                          TGEDAT   2302
               JMX=JCONTA(11,N)                                         TGEDAT   2303
C                                                                       TGEDAT   2304
               IF(IMXLN.EQ.50) THEN                                     TGEDAT   2305
                  IF(IL.GE.ILDEF)THEN                                   TGEDAT   2306
                     WRITE(IUX,5061)                                    TGEDAT   2307
                     IL=7                                               TGEDAT   2308
                  ENDIF                                                 TGEDAT   2309
                  WRITE(IUX,5600) NLF,INAME(KN-2),INAME(KN-1),INAME(KN) TGEDAT   2310
     &            ,CKID                                                 TGEDAT   2311
                  JMX1=JMX+9                                            TGEDAT   2312
                  CALL TUDMDA(3,IUX,IL,JMX1)                            TGEDAT   2313
               ELSE                                                     TGEDAT   2314
                  IF(IMXLN.GT.10) IMXLN=IMXLN-10                        TGEDAT   2315
                  IF(IL.GE.ILDEF)THEN                                   TGEDAT   2316
                     IL=7                                               TGEDAT   2317
                     WRITE(IUX,5100) IMXLN                              TGEDAT   2318
                  ENDIF                                                 TGEDAT   2319
                  WRITE(IUX,5110) NLF,INAME(KN-2),INAME(KN-1),          TGEDAT   2320
     &               INAME(KN),CKID,(DDAT(JMX+LK),LK=1,8)               TGEDAT   2321
                  IL=IL+1                                               TGEDAT   2322
               ENDIF                                                    TGEDAT   2323
            ENDIF                                                       TGEDAT   2324
  780 CONTINUE                                                          TGEDAT   2325
C                                                                       TGEDAT   2326
C     PRINT ALL TRANSIENT EXCITATION BOOSTER                            TGEDAT   2327
C                                                                       TGEDAT   2328
      IL=ILDEF                                                          TGEDAT   2329
      KN=0                                                              TGEDAT   2330
      DO 790 K=1,IPNODE                                                 TGEDAT   2331
         KN=KN+3                                                        TGEDAT   2332
         NLF=NOLD(K)                                                    TGEDAT   2333
         N1=NTHG(K)                                                     TGEDAT   2334
         N2=NTHG(K+1)-1                                                 TGEDAT   2335
         DO 790 N=N1,N2                                                 TGEDAT   2336
            CKID='    '                                                 TGEDAT   2337
            CKID(1:2)=NDGC(N)(3:4)                                      TGEDAT   2338
            ITEBN=ICONTA(11,N)                                          TGEDAT   2339
            IF(ITEBN.NE.0)THEN                                          TGEDAT   2340
               JTB=JCONTA(10,N)                                         TGEDAT   2341
C                                                                       TGEDAT   2342
               IF(IL.GE.ILDEF)THEN                                      TGEDAT   2343
                  IL=7                                                  TGEDAT   2344
                  WRITE(IUX,5700)                                       TGEDAT   2345
               ENDIF                                                    TGEDAT   2346
               IF(IDDAT(JTB+5).EQ.0) DDAT(JTB+5)=1.10                   TGEDAT   2347
               WRITE(IUX,5710) NLF,INAME(KN-2),INAME(KN-1),             TGEDAT   2348
     &               INAME(KN),CKID,(DDAT(JTB+LK),LK=2,5)               TGEDAT   2349
               IL=IL+1                                                  TGEDAT   2350
            ENDIF                                                       TGEDAT   2351
  790 CONTINUE                                                          TGEDAT   2352
C                                                                       TGEDAT   2353
      RETURN                                                            TGEDAT   2354
C                                                                       TGEDAT   2355
  800 CONTINUE                                                          TGEDAT   2356
C                                                                       TGEDAT   2357
C     PRINT UNDER EXCITED CURRENT LIMITER DATA                          TGEDAT   2358
C                                                                       TGEDAT   2359
      IL=ILDEF                                                          TGEDAT   2360
      KN=0                                                              TGEDAT   2361
      DO 810 K=1,IPNODE                                                 TGEDAT   2362
      KN=KN+3                                                           TGEDAT   2363
      NLF=NOLD(K)                                                       TGEDAT   2364
      N1=NTHG(K)                                                        TGEDAT   2365
      N2=NTHG(K+1)-1                                                    TGEDAT   2366
      DO 810 N=N1,N2                                                    TGEDAT   2367
      CKID='    '                                                       TGEDAT   2368
      CKID(1:2)=NDGC(N)(3:4)                                            TGEDAT   2369
      IUAL=ICONTA(7,N)                                                  TGEDAT   2370
      IF(IUAL.EQ.KUAL)THEN                                              TGEDAT   2371
         JU=JCONTA(6,N)                                                 TGEDAT   2372
         ISTABN=ICONTA(5,N)                                             TGEDAT   2373
         IF(IUAL.EQ.50.AND.ISTABN.EQ.50)GOTO I800                       TGEDAT   2374
         IF(IL.GE.ILDEF.AND.KUAL.NE.50)THEN                             TGEDAT   2375
            IL=7                                                        TGEDAT   2376
            WRITE(IUX,IFTIL1)KUAL                                       TGEDAT   2377
         ENDIF                                                          TGEDAT   2378
         IF(KUAL.EQ.50)THEN                                             TGEDAT   2379
            IF(IL.GE.ILDEF)THEN                                         TGEDAT   2380
               WRITE(IUX,5060)                                          TGEDAT   2381
               IL=7                                                     TGEDAT   2382
            ENDIF                                                       TGEDAT   2383
            WRITE(IUX,5600) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   2384
            JU1=JU+9                                                    TGEDAT   2385
            CALL TUDMDA(3,IUX,IL,JU1)                                   TGEDAT   2386
         ELSE                                                           TGEDAT   2387
            WRITE(IUX,5000) NLF,INAME(KN-2),INAME(KN-1),INAME(KN),CKID  TGEDAT   2388
     &      ,(DDAT(JE+1+LK),LK=I1A,I1B)                                 TGEDAT   2389
     &      ,(DDAT(JE+1+LK),LK=I1C,I1D)                                 TGEDAT   2390
     &      ,(DDAT(JE+1+LK),LK=I1E,I1F)                                 TGEDAT   2391
            IL=IL+1                                                     TGEDAT   2392
         ENDIF                                                          TGEDAT   2393
      ENDIF                                                             TGEDAT   2394
  810 CONTINUE                                                          TGEDAT   2395
C                                                                       TGEDAT   2396
      GOTO I800                                                         TGEDAT   2397
C                                                                       TGEDAT   2398
 5000 FORMAT(I6,1X,3A4,1X,A2,15F7.2)                                    TGEDAT   2399
C                                                                       TGEDAT   2400
 5010 FORMAT('1',T48,'UNDER EXCITED CURRENT LIMITER TYPE ',I2,          TGEDAT   2401
     &//,1X,'BUS #',1X,'STATION NAME',1X,'GID',4X,'K1',5X,'K2',5X,'K3', TGEDAT   2402
     &5X,'K4',5X,'K5',5X,'K6',5X,'T9',5X,'T1',5X,'T2',5X,'T3',5X,       TGEDAT   2403
     &'T4',5X,'T5',5X,'T6',5X,'T7',5X,'T8',/,1X,5('-'),1X,              TGEDAT   2404
     &12('-'),1X,3('-'),1X,5('-'),14(1X,6('-')))                        TGEDAT   2405
C                                                                       TGEDAT   2406
 5030 FORMAT('1',T48,'UNDER EXCITED CURRENT LIMITER TYPE ',I2,          TGEDAT   2407
     &//,1X,'BUS #',1X,'STATION NAME',1X,'GID',4X,'K1',5X,'K2',5X,'K3', TGEDAT   2408
     &5X,'K4',5X,'K5',5X,'T9',5X,'T1',5X,'T2',5X,'T3',5X,               TGEDAT   2409
     &'T4',5X,'T5',5X,'T6',5X,'T7',5X,'T8',/,1X,5('-'),1X,              TGEDAT   2410
     &12('-'),1X,3('-'),1X,5('-'),13(1X,6('-')))                        TGEDAT   2411
C                                                                       TGEDAT   2412
 5050 FORMAT('1',T48,'UNDER EXCITED CURRENT LIMITER TYPE ',I2,          TGEDAT   2413
     &//,1X,'BUS #',1X,'STATION NAME',1X,'GID',4X,'K1',5X,'K2',5X,'K3', TGEDAT   2414
     &5X,'K4',5X,'K5',5X,'K6',5X,'T1',5X,'T2',5X,'T3',5X,               TGEDAT   2415
     &'T4',5X,'T5',5X,'T6',/,1X,5('-'),1X,                              TGEDAT   2416
     &12('-'),1X,3('-'),1X,5('-'),11(1X,6('-')))                        TGEDAT   2417
C                                                                       TGEDAT   2418
 5060 FORMAT('1',T48,'USER DEFINED UNDER EXCITED '                      TGEDAT   2419
     &,'CURRENT LIMITER MODEL DATA',/)                                  TGEDAT   2420
 5061 FORMAT('1',T50,'USER DEFINED OVER EXCITATION '                    TGEDAT   2421
     &,'CURRENT LIMITER MODEL DATA',/)                                  TGEDAT   2422
 5100 FORMAT('1',T46,'OVER EXCITATION CURRENT LIMITER TYPE ',I2,//      TGEDAT   2423
     &,' BUS # STATION NAME GID       K     TA     TB      U IFLMAX'    TGEDAT   2424
     *,' IFLMIN     T1 T2/RATE',/,' ----- ------------ --- '            TGEDAT   2425
     *,8(' ------'),'-')                                                TGEDAT   2426
 5110 FORMAT(I6,1X,3A4,1X,A2,2X,7F7.3,F8.3)                             TGEDAT   2427
 5600 FORMAT('  BUS#: ',I5,'  STATION NAME: ',3A4,' GID: ',A2,/)        TGEDAT   2428
 5700 FORMAT('1',T51,'TRANSIENT EXCITATION BOOSTER',/,                  TGEDAT   2429
     &/,1X,'BUS #',1X,'STATION NAME',1X,'GID',5X,' K',5X,'T1',          TGEDAT   2430
     &5X,'T2',4X,'VTHR',5X,/,                                           TGEDAT   2431
     &1X,5('-'),1X,12('-'),1X,3('-'),2X,4(1X,6('-')))                   TGEDAT   2432
 5710 FORMAT(I6,1X,3A4,1X,A2,2X,4F7.3)                                  TGEDAT   2433
      END                                                               TGEDAT   2434
